VERSION 5.00
Begin VB.UserControl PropertySheet 
   ClientHeight    =   3180
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   3120
   ScaleHeight     =   3180
   ScaleWidth      =   3120
   Begin VB.TextBox txtFolderNote 
      Height          =   1215
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   4
      Top             =   1800
      Width           =   2775
   End
   Begin VB.CommandButton cmdChangeDB 
      Caption         =   "Change database..."
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   600
      Width           =   2775
   End
   Begin VB.CheckBox chkDatabase 
      Caption         =   "Save items to database"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   240
      Width           =   2775
   End
   Begin VB.Label lblDatabase 
      Caption         =   "\\Bos_Server\Enterprise Contacts"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   1080
      Width           =   2775
   End
   Begin VB.Label lblFolderNote 
      Caption         =   "Folder note:"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   1440
      Width           =   1095
   End
End
Attribute VB_Name = "PropertySheet"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Implements Outlook.PropertyPage
Dim objPPSite As Outlook.PropertyPageSite
Dim gblDirty As Boolean
Dim nDatabase As Integer

Private Sub chkDatabase_Click()
    ' Update dirty information
    gblDirty = True
    objPPSite.OnStatusChange
End Sub

Private Sub cmdChangeDB_Click()
    ' Change textbox
    Select Case nDatabase
    Case 1:
        lblDatabase.Caption = "\\Bos_Server\Local Contacts"
        nDatabase = 2
    Case 2:
        lblDatabase.Caption = "\\NY_Server\Local Contacts"
        nDatabase = 3
    Case 3:
        lblDatabase.Caption = "\\Bos_Server\Enterprise Contacts"
        nDatabase = 1
    End Select
    
    ' Update dirty information
    gblDirty = True
    objPPSite.OnStatusChange
End Sub

Private Property Get PropertyPage_Dirty() As Boolean
    ' Dirty property get procedure
    PropertyPage_Dirty = gblDirty
End Property

Private Sub PropertyPage_Apply()
    ' Code to set properties according to the user's
    ' selections goes here. For example:
    gFolderNote = txtFolderNote.Text
    
    ' persist info here
    MsgBox "Write information to database or registry here."
    
    ' Also, reset dirty flag
    objPPSite.OnStatusChange
    gblDirty = False
End Sub

Private Sub PropertyPage_GetPageInfo(HelpFile As String, HelpContext As Long)
    ' Code for help topics goes here.
End Sub

Private Sub txtFolderNote_Change()
    ' Update dirty information
    objPPSite.OnStatusChange
    gblDirty = True
End Sub

Private Sub txtFolderNote_KeyDown(KeyCode As Integer, Shift As Integer)
    ' Update dirty information
    objPPSite.OnStatusChange
    gblDirty = True
End Sub

Private Sub UserControl_InitProperties()
    ' Set site to parent (property page site container)
    Set objPPSite = Parent
    nDatabase = 1
End Sub
