VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "MAPIFieldDetails"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Collection" ,"MAPIField"
Attribute VB_Ext_KEY = "Member0" ,"MAPIField"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Private mCol As Collection
Public Function Add(Key As String, MAPIField As Variant, Optional sKey As String) As MAPIField
    Dim objNewMember As MAPIField
    Set objNewMember = New MAPIField
    objNewMember.Key = Key
    If IsObject(MAPIField) Then
        Set objNewMember.MAPIField = MAPIField
    Else
        objNewMember.MAPIField = MAPIField
    End If
    Populate_Field objNewMember
    If Len(sKey) = 0 Then
        mCol.Add objNewMember
    Else
        mCol.Add objNewMember, sKey
    End If
    Set Add = objNewMember
    Set objNewMember = Nothing
End Function
Public Property Get Item(vntIndexKey As Variant) As MAPIField
Attribute Item.VB_UserMemId = 0
  Set Item = mCol(vntIndexKey)
End Property
Public Property Get Count() As Long
    Count = mCol.Count
End Property
Public Sub Remove(vntIndexKey As Variant)
    mCol.Remove vntIndexKey
End Sub
Public Property Get NewEnum() As IUnknown
Attribute NewEnum.VB_UserMemId = -4
Attribute NewEnum.VB_MemberFlags = "40"
    Set NewEnum = mCol.[_NewEnum]
End Property
Private Sub Class_Initialize()
    Set mCol = New Collection
End Sub
Private Sub Class_Terminate()
    Set mCol = Nothing
End Sub
Private Sub Populate_Field(objField As MAPIField)

    objField.SortField = ""
    objField.DisplayName = "Unknown Field Name"
    objField.ReadOnly = True
    objField.TAG = ""
    If IsNumeric(objField.MAPIField) Then
        Select Case CLng(objField.MAPIField)
            Case CdoPR_ASSISTANT
                objField.DisplayName = "CdoPR_ASSISTANT"
                objField.MAPIField = CdoPR_ASSISTANT
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_ASSISTANT_TELEPHONE_NUMBER
                objField.DisplayName = "CdoPR_ASSISTANT_TELEPHONE_NUMBER"
                objField.MAPIField = CdoPR_ASSISTANT_TELEPHONE_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_BEEPER_TELEPHONE_NUMBER
                objField.DisplayName = "CdoPR_BEEPER_TELEPHONE_NUMBER"
                objField.MAPIField = CdoPR_BEEPER_TELEPHONE_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_BIRTHDAY
                objField.DisplayName = "CdoPR_BIRTHDAY"
                objField.MAPIField = CdoPR_BIRTHDAY
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_BODY
                objField.DisplayName = "CdoPR_BODY"
                objField.MAPIField = CdoPR_BODY
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_BODY_CRC
                objField.DisplayName = "CdoPR_BODY_CRC"
                objField.MAPIField = CdoPR_BODY_CRC
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_BUSINESS_ADDRESS_CITY
                objField.DisplayName = "CdoPR_BUSINESS_ADDRESS_CITY"
                objField.MAPIField = CdoPR_BUSINESS_ADDRESS_CITY
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_BUSINESS_ADDRESS_COUNTRY
                objField.DisplayName = "CdoPR_BUSINESS_ADDRESS_COUNTRY"
                objField.MAPIField = CdoPR_BUSINESS_ADDRESS_COUNTRY
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_BUSINESS_ADDRESS_POST_OFFICE_BOX
                objField.DisplayName = "CdoPR_BUSINESS_ADDRESS_POST_OFFICE_BOX"
                objField.MAPIField = CdoPR_BUSINESS_ADDRESS_POST_OFFICE_BOX
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_BUSINESS_ADDRESS_POSTAL_CODE
                objField.DisplayName = "CdoPR_BUSINESS_ADDRESS_POSTAL_CODE"
                objField.MAPIField = CdoPR_BUSINESS_ADDRESS_POSTAL_CODE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_BUSINESS_ADDRESS_STATE_OR_PROVINCE
                objField.DisplayName = "CdoPR_BUSINESS_ADDRESS_STATE_OR_PROVINCE"
                objField.MAPIField = CdoPR_BUSINESS_ADDRESS_STATE_OR_PROVINCE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_BUSINESS_ADDRESS_STREET
                objField.DisplayName = "CdoPR_BUSINESS_ADDRESS_STREET"
                objField.MAPIField = CdoPR_BUSINESS_ADDRESS_STREET
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_BUSINESS_FAX_NUMBER
                objField.DisplayName = "CdoPR_BUSINESS_FAX_NUMBER"
                objField.MAPIField = CdoPR_BUSINESS_FAX_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_BUSINESS_HOME_PAGE
                objField.DisplayName = "CdoPR_BUSINESS_HOME_PAGE"
                objField.MAPIField = CdoPR_BUSINESS_HOME_PAGE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_BUSINESS_TELEPHONE_NUMBER
                objField.DisplayName = "CdoPR_BUSINESS_TELEPHONE_NUMBER"
                objField.MAPIField = CdoPR_BUSINESS_TELEPHONE_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_BUSINESS2_TELEPHONE_NUMBER
                objField.DisplayName = "CdoPR_BUSINESS2_TELEPHONE_NUMBER"
                objField.MAPIField = CdoPR_BUSINESS2_TELEPHONE_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_CALLBACK_TELEPHONE_NUMBER
                objField.DisplayName = "CdoPR_CALLBACK_TELEPHONE_NUMBER"
                objField.MAPIField = CdoPR_CALLBACK_TELEPHONE_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_CAR_TELEPHONE_NUMBER
                objField.DisplayName = "CdoPR_CAR_TELEPHONE_NUMBER"
                objField.MAPIField = CdoPR_CAR_TELEPHONE_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_CELLULAR_TELEPHONE_NUMBER
                objField.DisplayName = "CdoPR_CELLULAR_TELEPHONE_NUMBER"
                objField.MAPIField = CdoPR_CELLULAR_TELEPHONE_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_CHILDRENS_NAMES
                objField.DisplayName = "CdoPR_CHILDRENS_NAMES"
                objField.MAPIField = CdoPR_CHILDRENS_NAMES
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_CLIENT_SUBMIT_TIME
                objField.DisplayName = "CdoPR_CLIENT_SUBMIT_TIME"
                objField.MAPIField = CdoPR_CLIENT_SUBMIT_TIME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_COMMENT
                objField.DisplayName = "CdoPR_COMMENT"
                objField.MAPIField = CdoPR_COMMENT
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_COMPANY_MAIN_PHONE_NUMBER
                objField.DisplayName = "CdoPR_COMPANY_MAIN_PHONE_NUMBER"
                objField.MAPIField = CdoPR_COMPANY_MAIN_PHONE_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_COMPANY_NAME
                objField.DisplayName = "CdoPR_COMPANY_NAME"
                objField.MAPIField = CdoPR_COMPANY_NAME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_COMPUTER_NETWORK_NAME
                objField.DisplayName = "CdoPR_COMPUTER_NETWORK_NAME"
                objField.MAPIField = CdoPR_COMPUTER_NETWORK_NAME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_CONTACT_ADDRTYPES
                objField.DisplayName = "CdoPR_CONTACT_ADDRTYPES"
                objField.MAPIField = CdoPR_CONTACT_ADDRTYPES
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_CONTACT_DEFAULT_ADDRESS_INDEX
                objField.DisplayName = "CdoPR_CONTACT_DEFAULT_ADDRESS_INDEX"
                objField.MAPIField = CdoPR_CONTACT_DEFAULT_ADDRESS_INDEX
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_CONTACT_EMAIL_ADDRESSES
                objField.DisplayName = "CdoPR_CONTACT_EMAIL_ADDRESSES"
                objField.MAPIField = CdoPR_CONTACT_EMAIL_ADDRESSES
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_CONTACT_ENTRYIDS
                objField.DisplayName = "CdoPR_CONTACT_ENTRYIDS"
                objField.MAPIField = CdoPR_CONTACT_ENTRYIDS
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_CONTACT_VERSION
                objField.DisplayName = "CdoPR_CONTACT_VERSION"
                objField.MAPIField = CdoPR_CONTACT_VERSION
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_CONVERSATION_INDEX
                objField.DisplayName = "CdoPR_CONVERSATION_INDEX"
                objField.MAPIField = CdoPR_CONVERSATION_INDEX
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_CONVERSATION_KEY
                objField.DisplayName = "CdoPR_CONVERSATION_KEY"
                objField.MAPIField = CdoPR_CONVERSATION_KEY
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_CONVERSATION_TOPIC
                objField.DisplayName = "CdoPR_CONVERSATION_TOPIC"
                objField.MAPIField = CdoPR_CONVERSATION_TOPIC
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_CONVERSION_EITS
                objField.DisplayName = "CdoPR_CONVERSION_EITS"
                objField.MAPIField = CdoPR_CONVERSION_EITS
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_COUNTRY
                objField.DisplayName = "CdoPR_COUNTRY"
                objField.MAPIField = CdoPR_COUNTRY
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_CREATION_TIME
                objField.DisplayName = "CdoPR_CREATION_TIME"
                objField.MAPIField = CdoPR_CREATION_TIME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_CREATION_VERSION
                objField.DisplayName = "CdoPR_CREATION_VERSION"
                objField.MAPIField = CdoPR_CREATION_VERSION
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_CURRENT_VERSION
                objField.DisplayName = "CdoPR_CURRENT_VERSION"
                objField.MAPIField = CdoPR_CURRENT_VERSION
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_CUSTOMER_ID
                objField.DisplayName = "CdoPR_CUSTOMER_ID"
                objField.MAPIField = CdoPR_CUSTOMER_ID
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_DEFERRED_DELIVERY_TIME
                objField.DisplayName = "CdoPR_DEFERRED_DELIVERY_TIME"
                objField.MAPIField = CdoPR_DEFERRED_DELIVERY_TIME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_DELEGATION
                objField.DisplayName = "CdoPR_DELEGATION"
                objField.MAPIField = CdoPR_DELEGATION
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_DELIVER_TIME
                objField.DisplayName = "CdoPR_DELIVER_TIME"
                objField.MAPIField = CdoPR_DELIVER_TIME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_DELIVERY_POINT
                objField.DisplayName = "CdoPR_DELIVERY_POINT"
                objField.MAPIField = CdoPR_DELIVERY_POINT
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_DEPARTMENT_NAME
                objField.DisplayName = "CdoPR_DEPARTMENT_NAME"
                objField.MAPIField = CdoPR_DEPARTMENT_NAME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_DISPLAY_BCC
                objField.DisplayName = "CdoPR_DISPLAY_BCC"
                objField.MAPIField = CdoPR_DISPLAY_BCC
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_DISPLAY_CC
                objField.DisplayName = "CdoPR_DISPLAY_CC"
                objField.MAPIField = CdoPR_DISPLAY_CC
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_DISPLAY_NAME
                objField.DisplayName = "CdoPR_DISPLAY_NAME"
                objField.MAPIField = CdoPR_DISPLAY_NAME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_DISPLAY_NAME_PREFIX
                objField.DisplayName = "CdoPR_DISPLAY_NAME_PREFIX"
                objField.MAPIField = CdoPR_DISPLAY_NAME_PREFIX
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_DISPLAY_TO
                objField.DisplayName = "CdoPR_DISPLAY_TO"
                objField.MAPIField = CdoPR_DISPLAY_TO
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_DISPLAY_TYPE
                objField.DisplayName = "CdoPR_DISPLAY_TYPE"
                objField.MAPIField = CdoPR_DISPLAY_TYPE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_EMAIL_ADDRESS
                objField.DisplayName = "CdoPR_EMAIL_ADDRESS"
                objField.MAPIField = CdoPR_EMAIL_ADDRESS
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_END_DATE
                objField.DisplayName = "CdoPR_END_DATE"
                objField.MAPIField = CdoPR_END_DATE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_ENTRYID
                objField.DisplayName = "CdoPR_ENTRYID"
                objField.MAPIField = CdoPR_ENTRYID
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_FORM_CATEGORY
                objField.DisplayName = "CdoPR_FORM_CATEGORY"
                objField.MAPIField = CdoPR_FORM_CATEGORY
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_FORM_CATEGORY_SUB
                objField.DisplayName = "CdoPR_FORM_CATEGORY_SUB"
                objField.MAPIField = CdoPR_FORM_CATEGORY_SUB
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_FORM_CLSID
                objField.DisplayName = "CdoPR_FORM_CLSID"
                objField.MAPIField = CdoPR_FORM_CLSID
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_FORM_CONTACT_NAME
                objField.DisplayName = "CdoPR_FORM_CONTACT_NAME"
                objField.MAPIField = CdoPR_FORM_CONTACT_NAME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_FORM_DESIGNER_GUID
                objField.DisplayName = "CdoPR_FORM_DESIGNER_GUID"
                objField.MAPIField = CdoPR_FORM_DESIGNER_GUID
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_FORM_DESIGNER_NAME
                objField.DisplayName = "CdoPR_FORM_DESIGNER_NAME"
                objField.MAPIField = CdoPR_FORM_DESIGNER_NAME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_FORM_HIDDEN
                objField.DisplayName = "CdoPR_FORM_HIDDEN"
                objField.MAPIField = CdoPR_FORM_HIDDEN
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_FORM_HOST_MAP
                objField.DisplayName = "CdoPR_FORM_HOST_MAP"
                objField.MAPIField = CdoPR_FORM_HOST_MAP
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_FORM_MESSAGE_BEHAVIOR
                objField.DisplayName = "CdoPR_FORM_MESSAGE_BEHAVIOR"
                objField.MAPIField = CdoPR_FORM_MESSAGE_BEHAVIOR
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_FORM_VERSION
                objField.DisplayName = "CdoPR_FORM_VERSION"
                objField.MAPIField = CdoPR_FORM_VERSION
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_FTP_SITE
                objField.DisplayName = "CdoPR_FTP_SITE"
                objField.MAPIField = CdoPR_FTP_SITE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_GENDER
                objField.DisplayName = "CdoPR_GENDER"
                objField.MAPIField = CdoPR_GENDER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_GENERATION
                objField.DisplayName = "CdoPR_GENERATION"
                objField.MAPIField = CdoPR_GENERATION
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_GIVEN_NAME
                objField.DisplayName = "CdoPR_GIVEN_NAME"
                objField.MAPIField = CdoPR_GIVEN_NAME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_GOVERNMENT_ID_NUMBER
                objField.DisplayName = "CdoPR_GOVERNMENT_ID_NUMBER"
                objField.MAPIField = CdoPR_GOVERNMENT_ID_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_HASATTACH
                objField.DisplayName = "CdoPR_HASATTACH"
                objField.MAPIField = CdoPR_HASATTACH
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_HOBBIES
                objField.DisplayName = "CdoPR_HOBBIES"
                objField.MAPIField = CdoPR_HOBBIES
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_HOME_ADDRESS_CITY
                objField.DisplayName = "CdoPR_HOME_ADDRESS_CITY"
                objField.MAPIField = CdoPR_HOME_ADDRESS_CITY
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_HOME_ADDRESS_COUNTRY
                objField.DisplayName = "CdoPR_HOME_ADDRESS_COUNTRY"
                objField.MAPIField = CdoPR_HOME_ADDRESS_COUNTRY
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_HOME_ADDRESS_POST_OFFICE_BOX
                objField.DisplayName = "CdoPR_HOME_ADDRESS_POST_OFFICE_BOX"
                objField.MAPIField = CdoPR_HOME_ADDRESS_POST_OFFICE_BOX
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_HOME_ADDRESS_POSTAL_CODE
                objField.DisplayName = "CdoPR_HOME_ADDRESS_POSTAL_CODE"
                objField.MAPIField = CdoPR_HOME_ADDRESS_POSTAL_CODE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_HOME_ADDRESS_STATE_OR_PROVINCE
                objField.DisplayName = "CdoPR_HOME_ADDRESS_STATE_OR_PROVINCE"
                objField.MAPIField = CdoPR_HOME_ADDRESS_STATE_OR_PROVINCE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_HOME_ADDRESS_STREET
                objField.DisplayName = "CdoPR_HOME_ADDRESS_STREET"
                objField.MAPIField = CdoPR_HOME_ADDRESS_STREET
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_HOME_FAX_NUMBER
                objField.DisplayName = "CdoPR_HOME_FAX_NUMBER"
                objField.MAPIField = CdoPR_HOME_FAX_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_HOME_TELEPHONE_NUMBER
                objField.DisplayName = "CdoPR_HOME_TELEPHONE_NUMBER"
                objField.MAPIField = CdoPR_HOME_TELEPHONE_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_HOME_TELEPHONE_NUMBER
                objField.DisplayName = "CdoPR_HOME_TELEPHONE_NUMBER"
                objField.MAPIField = CdoPR_HOME_TELEPHONE_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_IMPORTANCE
                objField.DisplayName = "CdoPR_IMPORTANCE"
                objField.MAPIField = CdoPR_IMPORTANCE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_INITIALS
                objField.DisplayName = "CdoPR_INITIALS"
                objField.MAPIField = CdoPR_INITIALS
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_ISDN_NUMBER
                objField.DisplayName = "CdoPR_ISDN_NUMBER"
                objField.MAPIField = CdoPR_ISDN_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_KEYWORD
                objField.DisplayName = "CdoPR_KEYWORD"
                objField.MAPIField = CdoPR_KEYWORD
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_LANGUAGE
                objField.DisplayName = "CdoPR_LANGUAGE"
                objField.MAPIField = CdoPR_LANGUAGE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_LANGUAGES
                objField.DisplayName = "CdoPR_LANGUAGES"
                objField.MAPIField = CdoPR_LANGUAGES
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_LAST_MODIFICATION_TIME
                objField.DisplayName = "CdoPR_LAST_MODIFICATION_TIME"
                objField.MAPIField = CdoPR_LAST_MODIFICATION_TIME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_LATEST_DELIVERY_TIME
                objField.DisplayName = "CdoPR_LATEST_DELIVERY_TIME"
                objField.MAPIField = CdoPR_LATEST_DELIVERY_TIME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_LOCALITY
                objField.DisplayName = "CdoPR_LOCALITY"
                objField.MAPIField = CdoPR_LOCALITY
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_LOCATION
                objField.DisplayName = "CdoPR_LOCATION"
                objField.MAPIField = CdoPR_LOCATION
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_MANAGER_NAME
                objField.DisplayName = "CdoPR_MANAGER_NAME"
                objField.MAPIField = CdoPR_MANAGER_NAME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_MESSAGE_ATTACHMENTS
                objField.DisplayName = "CdoPR_MESSAGE_ATTACHMENTS"
                objField.MAPIField = CdoPR_MESSAGE_ATTACHMENTS
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_MESSAGE_CLASS
                objField.DisplayName = "CdoPR_MESSAGE_CLASS"
                objField.MAPIField = CdoPR_MESSAGE_CLASS
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_MESSAGE_DELIVERY_TIME
                objField.DisplayName = "CdoPR_MESSAGE_DELIVERY_TIME"
                objField.MAPIField = CdoPR_MESSAGE_DELIVERY_TIME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_MESSAGE_RECIPIENTS
                objField.DisplayName = "CdoPR_MESSAGE_RECIPIENTS"
                objField.MAPIField = CdoPR_MESSAGE_RECIPIENTS
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_MESSAGE_SIZE
                objField.DisplayName = "CdoPR_MESSAGE_SIZE"
                objField.MAPIField = CdoPR_MESSAGE_SIZE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_MHS_COMMON_NAME
                objField.DisplayName = "CdoPR_MHS_COMMON_NAME"
                objField.MAPIField = CdoPR_MHS_COMMON_NAME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_MIDDLE_NAME
                objField.DisplayName = "CdoPR_MIDDLE_NAME"
                objField.MAPIField = CdoPR_MIDDLE_NAME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_MOBILE_TELEPHONE_NUMBER
                objField.DisplayName = "CdoPR_MOBILE_TELEPHONE_NUMBER"
                objField.MAPIField = CdoPR_MOBILE_TELEPHONE_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_MSG_STATUS
                objField.DisplayName = "CdoPR_MSG_STATUS"
                objField.MAPIField = CdoPR_MSG_STATUS
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_NICKNAME
                objField.DisplayName = "CdoPR_NICKNAME"
                objField.MAPIField = CdoPR_NICKNAME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_NORMALIZED_SUBJECT
                objField.DisplayName = "CdoPR_NORMALIZED_SUBJECT"
                objField.MAPIField = CdoPR_NORMALIZED_SUBJECT
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_OFFICE_LOCATION
                objField.DisplayName = "CdoPR_OFFICE_LOCATION"
                objField.MAPIField = CdoPR_OFFICE_LOCATION
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_OFFICE_TELEPHONE_NUMBER
                objField.DisplayName = "CdoPR_OFFICE_TELEPHONE_NUMBER"
                objField.MAPIField = CdoPR_OFFICE_TELEPHONE_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_OFFICE_TELEPHONE_NUMBER
                objField.DisplayName = "CdoPR_OFFICE_TELEPHONE_NUMBER"
                objField.MAPIField = CdoPR_OFFICE_TELEPHONE_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_ORGANIZATIONAL_ID_NUMBER
                objField.DisplayName = "CdoPR_ORGANIZATIONAL_ID_NUMBER"
                objField.MAPIField = CdoPR_ORGANIZATIONAL_ID_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_ORIG_MESSAGE_CLASS
                objField.DisplayName = "CdoPR_ORIG_MESSAGE_CLASS"
                objField.MAPIField = CdoPR_ORIG_MESSAGE_CLASS
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_OTHER_ADDRESS_CITY
                objField.DisplayName = "CdoPR_OTHER_ADDRESS_CITY"
                objField.MAPIField = CdoPR_OTHER_ADDRESS_CITY
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_OTHER_ADDRESS_COUNTRY
                objField.DisplayName = "CdoPR_OTHER_ADDRESS_COUNTRY"
                objField.MAPIField = CdoPR_OTHER_ADDRESS_COUNTRY
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_OTHER_ADDRESS_POST_OFFICE_BOX
                objField.DisplayName = "CdoPR_OTHER_ADDRESS_POST_OFFICE_BOX"
                objField.MAPIField = CdoPR_OTHER_ADDRESS_POST_OFFICE_BOX
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_OTHER_ADDRESS_POSTAL_CODE
                objField.DisplayName = "CdoPR_OTHER_ADDRESS_POSTAL_CODE"
                objField.MAPIField = CdoPR_OTHER_ADDRESS_POSTAL_CODE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_OTHER_ADDRESS_STATE_OR_PROVINCE
                objField.DisplayName = "CdoPR_OTHER_ADDRESS_STATE_OR_PROVINCE"
                objField.MAPIField = CdoPR_OTHER_ADDRESS_STATE_OR_PROVINCE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_OTHER_ADDRESS_STREET
                objField.DisplayName = " CdoPR_OTHER_ADDRESS_STREET"
                objField.MAPIField = CdoPR_OTHER_ADDRESS_STREET
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_OTHER_TELEPHONE_NUMBER
                objField.DisplayName = "CdoPR_OTHER_TELEPHONE_NUMBER"
                objField.MAPIField = CdoPR_OTHER_TELEPHONE_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_OWNER_APPT_ID
                objField.DisplayName = "CdoPR_OWNER_APPT_ID"
                objField.MAPIField = CdoPR_OWNER_APPT_ID
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_PAGER_TELEPHONE_NUMBER
                objField.DisplayName = "CdoPR_PAGER_TELEPHONE_NUMBER"
                objField.MAPIField = CdoPR_PAGER_TELEPHONE_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_PARENT_DISPLAY
                objField.DisplayName = "CdoPR_PARENT_DISPLAY"
                objField.MAPIField = CdoPR_PARENT_DISPLAY
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_PARENT_ENTRYID
                objField.DisplayName = "CdoPR_PARENT_ENTRYID"
                objField.MAPIField = CdoPR_PARENT_ENTRYID
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_PERSONAL_HOME_PAGE
                objField.DisplayName = "CdoPR_PERSONAL_HOME_PAGE"
                objField.MAPIField = CdoPR_PERSONAL_HOME_PAGE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_POST_OFFICE_BOX
                objField.DisplayName = "CdoPR_POST_OFFICE_BOX"
                objField.MAPIField = CdoPR_POST_OFFICE_BOX
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_POSTAL_ADDRESS
                objField.DisplayName = "CdoPR_POSTAL_ADDRESS"
                objField.MAPIField = CdoPR_POSTAL_ADDRESS
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_POSTAL_CODE
                objField.DisplayName = "CdoPR_POSTAL_CODE"
                objField.MAPIField = CdoPR_POSTAL_CODE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_PRIMARY_CAPABILITY
                objField.DisplayName = "CdoPR_PRIMARY_CAPABILITY"
                objField.MAPIField = CdoPR_PRIMARY_CAPABILITY
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_PRIMARY_FAX_NUMBER
                objField.DisplayName = "CdoPR_PRIMARY_FAX_NUMBER"
                objField.MAPIField = CdoPR_PRIMARY_FAX_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_PRIMARY_TELEPHONE_NUMBER
                objField.DisplayName = "CdoPR_PRIMARY_TELEPHONE_NUMBER"
                objField.MAPIField = CdoPR_PRIMARY_TELEPHONE_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_PROFESSION
                objField.DisplayName = "CdoPR_PROFESSION"
                objField.MAPIField = CdoPR_PROFESSION
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_RADIO_TELEPHONE_NUMBER
                objField.DisplayName = "CdoPR_RADIO_TELEPHONE_NUMBER"
                objField.MAPIField = CdoPR_RADIO_TELEPHONE_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_REPLY_TIME
                objField.DisplayName = "CdoPR_REPLY_TIME"
                objField.MAPIField = CdoPR_REPLY_TIME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_ROWID
                objField.DisplayName = "CdoPR_ROWID"
                objField.MAPIField = CdoPR_ROWID
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_SENDER_ADDRTYPE
                objField.DisplayName = "CdoPR_SENDER_ADDRTYPE"
                objField.MAPIField = CdoPR_SENDER_ADDRTYPE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_SENDER_EMAIL_ADDRESS
                objField.DisplayName = "CdoPR_SENDER_EMAIL_ADDRESS"
                objField.MAPIField = CdoPR_SENDER_EMAIL_ADDRESS
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_SENDER_ENTRYID
                objField.DisplayName = "CdoPR_SENDER_ENTRYID"
                objField.MAPIField = CdoPR_SENDER_ENTRYID
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_SENDER_NAME
                objField.DisplayName = "CdoPR_SENDER_NAME"
                objField.MAPIField = CdoPR_SENDER_NAME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_SENDER_SEARCH_KEY
                objField.DisplayName = "CdoPR_SENDER_SEARCH_KEY"
                objField.MAPIField = CdoPR_SENDER_SEARCH_KEY
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_SPOUSE_NAME
                objField.DisplayName = "CdoPR_SPOUSE_NAME"
                objField.MAPIField = CdoPR_SPOUSE_NAME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_START_DATE
                objField.DisplayName = "CdoPR_START_DATE"
                objField.MAPIField = CdoPR_START_DATE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_STATE_OR_PROVINCE
                objField.DisplayName = "CdoPR_STATE_OR_PROVINCE"
                objField.MAPIField = CdoPR_STATE_OR_PROVINCE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_STORE_ENTRYID
                objField.DisplayName = "CdoPR_STORE_ENTRYID"
                objField.MAPIField = CdoPR_STORE_ENTRYID
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_STREET_ADDRESS
                objField.DisplayName = "CdoPR_STREET_ADDRESS"
                objField.MAPIField = CdoPR_STREET_ADDRESS
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_SUBJECT
                objField.DisplayName = "CdoPR_SUBJECT"
                objField.MAPIField = CdoPR_SUBJECT
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_SUBJECT_IPM
                objField.DisplayName = "CdoPR_SUBJECT_IPM"
                objField.MAPIField = CdoPR_SUBJECT_IPM
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_SUBJECT_PREFIX
                objField.DisplayName = "CdoPR_SUBJECT_PREFIX"
                objField.MAPIField = CdoPR_SUBJECT_PREFIX
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_SURNAME
                objField.DisplayName = "CdoPR_SURNAME"
                objField.MAPIField = CdoPR_SURNAME
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_TELEX_NUMBER
                objField.DisplayName = "CdoPR_TELEX_NUMBER"
                objField.MAPIField = CdoPR_TELEX_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_TITLE
                objField.DisplayName = "CdoPR_TITLE"
                objField.MAPIField = CdoPR_TITLE
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_TTYTDD_PHONE_NUMBER
                objField.DisplayName = "CdoPR_TTYTDD_PHONE_NUMBER"
                objField.MAPIField = CdoPR_TTYTDD_PHONE_NUMBER
                objField.SortField = ""
                objField.ReadOnly = True
            Case CdoPR_WEDDING_ANNIVERSARY
                objField.DisplayName = "CdoPR_WEDDING_ANNIVERSARY"
                objField.MAPIField = CdoPR_WEDDING_ANNIVERSARY
                objField.SortField = ""
                objField.ReadOnly = True
        End Select
    Else
        Select Case LCase(Trim(objField.MAPIField))
            Case "subject"
                objField.DisplayName = "CdoPR_SUBJECT"
                objField.MAPIField = CdoPR_SUBJECT
                objField.SortField = CdoPR_NORMALIZED_SUBJECT
            Case "conversationindex"
                objField.DisplayName = "CdoPR_CONVERSATION_INDEX"
                objField.MAPIField = CdoPR_CONVERSATION_INDEX
                objField.SortField = CdoPR_CONVERSATION_INDEX
            Case "conversationtopic"
                objField.DisplayName = "CdoPR_CONVERSATION_TOPIC"
                objField.MAPIField = CdoPR_CONVERSATION_TOPIC
            Case "id"
                objField.DisplayName = "CdoPR_ENTRYID"
                objField.MAPIField = CdoPR_ENTRYID
            Case "folderid"
                objField.DisplayName = "CdoPR_PARENT_ENTRYID"
                objField.MAPIField = CdoPR_PARENT_ENTRYID
            Case "storeid"
                objField.DisplayName = "CdoPR_PARENT_storeID"
                objField.MAPIField = CdoPR_PARENT_storeID
            Case "text", "body"
                objField.DisplayName = "CdoPR_BODY"
                objField.MAPIField = CdoPR_BODY
            Case "type", "message class"
                objField.DisplayName = "CdoPR_MESSAGE_CLASS"
                objField.MAPIField = CdoPR_MESSAGE_CLASS
            Case "timecreated"
                objField.DisplayName = "CdoPR_CREATION_TIME"
                objField.MAPIField = CdoPR_CREATION_TIME
            Case "timeexpired"
                objField.DisplayName = "CdoPR_EXPIRY_TIME"
                objField.MAPIField = CdoPR_EXPIRY_TIME
            Case "timelastmodified"
                objField.DisplayName = "CdoPR_LAST_MODIFICATION_TIME"
                objField.MAPIField = CdoPR_LAST_MODIFICATION_TIME
            Case "timereceived"
                objField.DisplayName = "CdoPR_MESSAGE_DELIVERY_TIME"
                objField.MAPIField = CdoPR_MESSAGE_DELIVERY_TIME
                objField.SortField = CdoPR_MESSAGE_DELIVERY_TIME
            Case "timesent"
                objField.DisplayName = "CdoPR_CLIENT_SUBMIT_TIME"
                objField.MAPIField = CdoPR_CLIENT_SUBMIT_TIME
            Case "name", "display name"
                objField.DisplayName = "CdoPR_DISPLAY_NAME"
                objField.MAPIField = CdoPR_DISPLAY_NAME
            Case "sender"
                objField.DisplayName = "CdoPR_SENDER_NAME"
                objField.MAPIField = CdoPR_SENDER_NAME
            Case "recipients"
                objField.DisplayName = "CdoPR_DISPLAY_TO"
                objField.MAPIField = CdoPR_DISPLAY_TO
            Case Else
                objField.DisplayName = objField.MAPIField
        End Select
    End If
End Sub
