Attribute VB_Name = "basAddressBook"
Option Explicit

Global gsAddressBook As String
Global objSession As MAPI.Session
Global objAddressList As MAPI.AddressList
Global objAddrEntFilter As MAPI.AddressEntryFilter
Global objAddressEntries As MAPI.AddressEntries
Global objAddressEntry As MAPI.AddressEntry

Sub Main()
    ' Create a CDO session
    CreateSessionandLogon
  
    ' Show the address book form
    frmAddressBook.Show
    
End Sub

Private Sub CreateSessionandLogon()
    On Error GoTo Err_cmdlogon
    Set objSession = CreateObject("MAPI.Session")
    objSession.Logon newsession:=False
    Exit Sub
    
Err_cmdlogon:
    If Err.Number = CdoE_USER_CANCEL Then
        Set objSession = Nothing
        End
    Else
        MsgBox "An error has occurred."
    End If
End Sub

Sub InitDB()
    Dim objADORecordset As ADODB.Recordset
    Dim objAEFilter As MAPI.AddressEntryFilter
    Dim sEntryID As String
    
    frmMain.MousePointer = vbHourglass
    
    frmMain.AdodcHidden.Refresh
    Set objADORecordset = frmMain.AdodcHidden.Recordset
    objADORecordset.MoveFirst
    
    Do While (Not objADORecordset.EOF)
       ' Clear entry ID
        objADORecordset.Fields("Emp_EntryID") = " "
       ' Find this employee in the address book
        Set objAEFilter = objAddressEntries.Filter
        objAEFilter.Name = objADORecordset.Fields("Emp_LastName").Value

        For Each objAddressEntry In objAddressEntries
            If objAddressEntry.Fields(CdoPR_GIVEN_NAME) = objADORecordset.Fields("Emp_FirstName").Value Then
                sEntryID = objAddressEntry.Fields(CdoPR_ENTRYID)
                objADORecordset.Fields("Emp_EntryID") = sEntryID
            End If
        Next

        objAddressEntries.Filter = Nothing
        objADORecordset.MoveNext
    Loop
    objADORecordset.Save
                
    frmMain.MousePointer = vbNormal
    
    frmMain.AdodcHidden.Refresh
    frmMain.adodcEmployee.Refresh
    
    Set objADORecordset = Nothing
    Set objAEFilter = Nothing
End Sub
