VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Outlook 2000 Sample Code"
   ClientHeight    =   5445
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5850
   LinkTopic       =   "Form1"
   ScaleHeight     =   5445
   ScaleWidth      =   5850
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdFolderPane 
      Caption         =   "Folder Pane"
      Height          =   495
      Left            =   4080
      TabIndex        =   17
      Top             =   1320
      Width           =   1455
   End
   Begin VB.CommandButton cmdAddressBook 
      Caption         =   "Show Address Book"
      Height          =   495
      Left            =   2160
      TabIndex        =   16
      Top             =   4680
      Width           =   1695
   End
   Begin VB.CommandButton cmdGetAddressList 
      Caption         =   "Get AddressList"
      Height          =   495
      Left            =   120
      TabIndex        =   15
      Top             =   4680
      Width           =   1815
   End
   Begin VB.CommandButton cmdGetSubFolder 
      Caption         =   "Get Subfolder"
      Height          =   495
      Left            =   4080
      TabIndex        =   14
      Top             =   3960
      Width           =   1575
   End
   Begin VB.CommandButton cmdSubFolder 
      Caption         =   "Create Subfolder"
      Height          =   495
      Left            =   4080
      TabIndex        =   13
      Top             =   3360
      Width           =   1575
   End
   Begin VB.CommandButton cmdInboxParent 
      Caption         =   "Inbox Parent"
      Height          =   495
      Left            =   2160
      TabIndex        =   12
      Top             =   3960
      Width           =   1695
   End
   Begin VB.CommandButton cmdCurrentUser 
      Caption         =   "Current User"
      Height          =   495
      Left            =   2160
      TabIndex        =   11
      Top             =   3360
      Width           =   1695
   End
   Begin VB.CommandButton cmdAddFolderShortcut 
      Caption         =   "Add Folder shortcut"
      Height          =   495
      Left            =   120
      TabIndex        =   10
      Top             =   3960
      Width           =   1815
   End
   Begin VB.CommandButton cmdActiveWindow 
      Caption         =   "ActiveWindow"
      Height          =   495
      Left            =   4080
      TabIndex        =   9
      Top             =   720
      Width           =   1455
   End
   Begin VB.CommandButton cmdNewInspector 
      Caption         =   "NewInspector Event"
      Height          =   495
      Left            =   2160
      TabIndex        =   8
      Top             =   2520
      Width           =   1695
   End
   Begin VB.CommandButton cmdInspectors 
      Caption         =   "All Inspectors"
      Height          =   495
      Left            =   2160
      TabIndex        =   7
      Top             =   1920
      Width           =   1695
   End
   Begin VB.CommandButton cmdGetInspector 
      Caption         =   "GetInspector"
      Height          =   495
      Left            =   2160
      TabIndex        =   6
      Top             =   1320
      Width           =   1695
   End
   Begin VB.CommandButton cmdActiveInspector 
      Caption         =   "ActiveInspector"
      Height          =   495
      Left            =   2160
      TabIndex        =   5
      Top             =   720
      Width           =   1695
   End
   Begin VB.CommandButton cmdNewExplorer 
      Caption         =   "NewExplorer event"
      Height          =   495
      Left            =   120
      TabIndex        =   4
      Top             =   2520
      Width           =   1815
   End
   Begin VB.CommandButton cmdAllExplorers 
      Caption         =   "All Explorers"
      Height          =   495
      Left            =   120
      TabIndex        =   3
      Top             =   1920
      Width           =   1815
   End
   Begin VB.CommandButton cmdGetExplorer 
      Caption         =   "GetExplorer"
      Height          =   495
      Left            =   120
      TabIndex        =   2
      Top             =   1320
      Width           =   1815
   End
   Begin VB.CommandButton cmdActiveExplorer 
      Caption         =   "ActiveExplorer"
      Height          =   495
      Left            =   120
      TabIndex        =   1
      Top             =   720
      Width           =   1815
   End
   Begin VB.CommandButton cmdBarPane 
      Caption         =   "Add Web shortcut"
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   3360
      Width           =   1815
   End
   Begin VB.Label Label1 
      Caption         =   "Chapter 3: Outlook 2000 Sample code"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   120
      TabIndex        =   18
      Top             =   120
      Width           =   5775
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim objOLApp As Outlook.Application
Dim objNameSpace As Outlook.NameSpace
Dim objFolder As Outlook.mapiFolder
Dim objNewFolder As Outlook.mapiFolder
Dim objContactItem As Outlook.ContactItem
Dim objExplorer As Outlook.Explorer
Dim objInspector As Outlook.Inspector
Dim objOLBarPane As Outlook.OutlookBarPane
Dim objOLBarGroup As Outlook.OutlookBarGroup
Dim objOLBarShortcuts As Outlook.OutlookBarShortcuts
Dim objOLBarShortcut As Outlook.OutlookBarShortcut

Dim objAddressList As Outlook.AddressList

Dim objSession As MAPI.Session
Dim objRecipient As MAPI.Recipient
Dim objRecipients As MAPI.Recipients

Dim sEntryID As String

Dim WithEvents objExplorers As Outlook.Explorers
Attribute objExplorers.VB_VarHelpID = -1
Dim WithEvents objInspectors As Outlook.Inspectors
Attribute objInspectors.VB_VarHelpID = -1


Private Sub cmdActiveExplorer_Click()
   ' Get a reference to the currently active explorer,
   ' if there is one
   Set objExplorer = objOLApp.ActiveExplorer
   ' If we got one, show it
   If objExplorer Is Nothing Then
      MsgBox "No current Explorer."
   Else
      objExplorer.Activate  ' Brings the Explorer window to the foreground
   End If
End Sub

Private Sub cmdActiveInspector_Click()
    ' Get a reference to the currently active inspector,
    ' if there is one
    Set objInspector = objOLApp.ActiveInspector
   ' If we got one, show it
    If objInspector Is Nothing Then
        MsgBox "No current Inspector."
    Else
        objInspector.Activate ' Brings the Inspector window to the foreground
    End If
End Sub

Private Sub cmdActiveWindow_Click()
    If TypeName(objOLApp.ActiveWindow) = "Inspector" Then
        objOLApp.ActiveWindow.WindowState = olMaximized
    End If
End Sub

Private Sub cmdAddFolderShortcut_Click()
    ' Get a reference to the Outlook bar
    Set objOLBarPane = objExplorer.Panes.Item(olOutlookBar)
    ' Get the first group
    Set objOLBarGroup = objOLBarPane.Contents.Groups.Item(1)
    ' Get the Shortcuts collection
    Set objOLBarShortcuts = objOLBarGroup.Shortcuts
    ' Add a folder shortcut
    Set objFolder = objOLApp.Session.GetDefaultFolder(olFolderInbox)
    objOLBarShortcuts.Add objFolder, "Inbox", 1

End Sub

Private Sub cmdAddressBook_Click()
    ' Use CDO to display the address book
       On Error GoTo Err_Address
       Set objSession = CreateObject("MAPI.Session")
       objSession.Logon NewSession:=False
       ' Show the address selector
       Set objRecipients = objSession.AddressBook( _
           Title:="Select Users", _
           recipLists:=1, _
           toLabel:="&Users")
       For Each objRecipient In objRecipients
           MsgBox objRecipient.Name
       Next
       Exit Sub
Err_Address:
    If Err.Number = CdoE_USER_CANCEL Then
        'Request was cancelled
    Else
        MsgBox "An error has occurred."
    End If

End Sub

Private Sub cmdAllExplorers_Click()
    For Each objExplorer In objOLApp.Explorers
        MsgBox "Explorer window: " & objExplorer.Caption, vbInformation, "objApplication.Explorers"
    Next
End Sub

Private Sub cmdBarPane_Click()
    Set objExplorer = objOLApp.ActiveExplorer
    ' Get a reference to the Outlook bar
    Set objOLBarPane = objExplorer.Panes.Item(olOutlookBar)
    ' Get the first group
    Set objOLBarGroup = objOLBarPane.Contents.Groups.Item(1)
    ' Get the Shortcuts collection
    Set objOLBarShortcuts = objOLBarGroup.Shortcuts
    ' Add a Web shortcut
    objOLBarShortcuts.Add "http://www.mmanet.com", "MMA", 1
End Sub

Private Sub cmdCurrentUser_Click()
    Set objNameSpace = objOLApp.Session
    MsgBox objNameSpace.CurrentUser
End Sub

Private Sub cmdFolderPane_Click()
    ' Get a reference to the Outlook bar
    Set objOLBarPane = objExplorer.Panes.Item(olOutlookBar)

End Sub

Private Sub cmdGetAddressList_Click()
  Set objAddressList = objNameSpace.AddressLists("Global Address List")
  If objAddressList.IsReadOnly Then
     MsgBox "I do not have rights to update the GAL."
  Else
     MsgBox "I do have rights to update the GAL."
  End If
  Debug.Print objAddressList.Parent.Class
End Sub

Private Sub cmdGetExplorer_Click()
    ' Get a reference to the Outlook data
    Set objNameSpace = objOLApp.GetNamespace("MAPI")
    ' Get a reference to the default Contacts folder
    Set objFolder = objNameSpace.GetDefaultFolder(olFolderContacts)
    ' Here's the important part:
    ' Get an Explorer that shows the Outlook Contacts folder
    Set objExplorer = objFolder.GetExplorer
    objExplorer.Activate  ' Used to be Display
End Sub

Public Sub Initialize_handler()
        Set objExplorers = objOLApp.Explorers
        Set objInspectors = objOLApp.Inspectors
End Sub

Private Sub cmdGetInspector_Click()
    ' Get a reference to the Outlook data
    Set objNameSpace = objOLApp.GetNamespace("MAPI")
    ' Get a reference to the default Contacts folder
    Set objFolder = objNameSpace.GetDefaultFolder(olFolderContacts)
    ' Get the first item (Contact) in the folder
    Set objContactItem = objFolder.Items.GetFirst
    ' At this point, we have the item's data, but we want to see the
    ' item visually, so let's get an Inspector for it
    Set objInspector = objContactItem.GetInspector
    ' Finally, show the inspector
    objInspector.Activate
End Sub

Private Sub cmdGetSubFolder_Click()
    Set objNameSpace = objOLApp.GetNamespace("MAPI")
    Set objFolder = objNameSpace.GetDefaultFolder(olFolderInbox)
    Set objNewFolder = objFolder.Folders("Pending")
    sEntryID = objNewFolder.EntryID
    Set objNewFolder = Nothing
    Set objNewFolder = objNameSpace.GetFolderFromID(sEntryID)
    MsgBox "The " & objNewFolder.Name & " folder has been found."
End Sub

Private Sub cmdInboxParent_Click()
    Set objNameSpace = objOLApp.Session
    Set objFolder = objNameSpace.GetDefaultFolder(olFolderInbox)
    Debug.Print objFolder.Parent.Parent.Class
End Sub

Private Sub cmdInspectors_Click()
    For Each objInspector In objOLApp.Inspectors
        MsgBox "Inspector window: " & objInspector.Caption, vbInformation, "objApplication.Inspectors"
    Next
End Sub

Private Sub cmdNewExplorer_Click()
    Initialize_handler
End Sub

Private Sub cmdNewInspector_Click()
    Initialize_handler
End Sub


Private Sub cmdSubFolder_Click()
    Set objNameSpace = objOLApp.GetNamespace("MAPI")
    Set objFolder = objNameSpace.GetDefaultFolder(olFolderInbox)
    Set objNewFolder = objFolder.Folders.Add("Pending")
    MsgBox "The new folder has been created."

End Sub

Private Sub objExplorers_NewExplorer(ByVal Explorer As _
        Outlook.Explorer)
        MsgBox "An explorer has been created.", vbInformation, "NewExplorer"
End Sub

Private Sub objInspectors_NewInspector(ByVal Inspector As _
        Outlook.Inspector)
        MsgBox "An inspector has been created.", vbInformation, "NewInspector"
End Sub

Private Sub Form_Load()
    ' Create a reference to the Outlook Application object
    Set objOLApp = CreateObject("Outlook.Application")
    ' Get a reference to the Outlook NameSpace
    Set objNameSpace = objOLApp.GetNamespace("MAPI")
    ' Call the Logon method
    objNameSpace.Logon ShowDialog:=True
End Sub

Private Sub Form_Unload(Cancel As Integer)
    'Set objNameSpace = Nothing
    Set objOLApp = Nothing
End Sub
