VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Chapter 5 Code Examples"
   ClientHeight    =   4965
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6420
   LinkTopic       =   "Form1"
   ScaleHeight     =   4965
   ScaleWidth      =   6420
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdTaskRespond 
      Caption         =   "Task Respond"
      Height          =   495
      Left            =   2400
      TabIndex        =   12
      Top             =   4320
      Width           =   1815
   End
   Begin VB.CommandButton cmdStatusReport 
      Caption         =   "Status Report"
      Height          =   495
      Left            =   2400
      TabIndex        =   11
      Top             =   3720
      Width           =   1815
   End
   Begin VB.CommandButton cmdTaskRecipients 
      Caption         =   "TaskRecipients"
      Height          =   495
      Left            =   120
      TabIndex        =   10
      Top             =   4320
      Width           =   1935
   End
   Begin VB.CommandButton cmdRespond 
      Caption         =   "Respond"
      Height          =   495
      Left            =   4560
      TabIndex        =   9
      Top             =   1080
      Width           =   1575
   End
   Begin VB.CommandButton cmdGetFreeBusy 
      Caption         =   "GetFreeBusy"
      Height          =   495
      Left            =   2400
      TabIndex        =   8
      Top             =   2880
      Width           =   1815
   End
   Begin VB.CommandButton cmdFreeBusy 
      Caption         =   "FreeBusy"
      Height          =   495
      Left            =   2400
      TabIndex        =   7
      Top             =   2280
      Width           =   1815
   End
   Begin VB.CommandButton cmdContacts 
      Caption         =   "Contacts"
      Height          =   495
      Left            =   120
      TabIndex        =   6
      Top             =   3720
      Width           =   1935
   End
   Begin VB.CommandButton cmdGetRecurrencePattern 
      Caption         =   "GetRecurrencePattern"
      Height          =   495
      Left            =   2400
      TabIndex        =   5
      Top             =   1680
      Width           =   1815
   End
   Begin VB.CommandButton cmdvCal 
      Caption         =   "Forward as vCal"
      Height          =   495
      Left            =   2400
      TabIndex        =   4
      Top             =   1080
      Width           =   1815
   End
   Begin VB.CommandButton cmdStartEndDuration 
      Caption         =   "Start, End, Duration"
      Height          =   495
      Left            =   120
      TabIndex        =   3
      Top             =   2880
      Width           =   1935
   End
   Begin VB.CommandButton cmdBusyStatus 
      Caption         =   "BusyStatus"
      Height          =   495
      Left            =   120
      TabIndex        =   2
      Top             =   1680
      Width           =   1935
   End
   Begin VB.CommandButton cmdAllDayEvent 
      Caption         =   "AllDayEvent"
      Height          =   495
      Left            =   120
      TabIndex        =   1
      Top             =   1080
      Width           =   1935
   End
   Begin VB.CommandButton cmdIsRecurring 
      Caption         =   "IsRecurring"
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   2280
      Width           =   1935
   End
   Begin VB.Label Label1 
      Caption         =   "Chapter 5: Appointment and Task Code Examples"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   855
      Left            =   120
      TabIndex        =   13
      Top             =   120
      Width           =   6015
   End
   Begin VB.Line Line1 
      X1              =   120
      X2              =   6240
      Y1              =   3600
      Y2              =   3600
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim objOLApp As Outlook.Application
Dim objNamespace As Outlook.NameSpace
Dim objMAPIFolder As Outlook.MAPIFolder
Dim objApptItem As Outlook.AppointmentItem
Dim objMeetingItem As Outlook.MeetingItem
Dim objTaskItem As Outlook.TaskItem
Dim objTaskRequestItem As Outlook.TaskRequestItem
Dim objRecipient As Outlook.Recipient
Dim objMailItem As Outlook.MailItem

Private Sub cmdAllDayEvent_Click()
   Set objOLApp = CreateObject("Outlook.Application")
   Set objApptItem = objOLApp.CreateItem(olAppointmentItem)
   With objApptItem
      .Start = #6/27/1999 1:00:00 PM#
      .End = #6/27/1999 2:00:00 PM#
      .Subject = "Will this be an all-day thing?"
      .Save
      ' First, IsRecurring will be False
      MsgBox "AllDayEvent = " & .AllDayEvent
      MsgBox "Start = " & Format(.Start, "mm/dd/yy hh:mm")
      MsgBox "end = " & Format(.End, "mm/dd/yy hh:mm")

      .AllDayEvent = True
      .Save
      ' The start and end dates are automatically changed
      MsgBox "Start = " & Format(.Start, "mm/dd/yy hh:mm")
      MsgBox "end = " & Format(.End, "mm/dd/yy hh:mm")
   End With
   Set objApptItem = Nothing
   Set objOLApp = Nothing
End Sub

Private Sub cmdContacts_Click()
   Set objOLApp = CreateObject("Outlook.Application")
   Set objTaskItem = objOLApp.CreateItem(olTaskItem)
   With objTaskItem
      .Subject = "Sample task."
      .Save

      .Recipients.Add ("Smith, Joe")
      .Save
      ' contact names
      MsgBox "ContactNames = " & .ContactNames
      MsgBox "Contacts = " & .Contacts
   End With
   Set objTaskItem = Nothing
   Set objOLApp = Nothing

End Sub

Private Sub cmdFreeBusy_Click()
    Dim objRecipient As Outlook.Recipient
    Dim sFreeBusy As String
    
    Set objOLApp = CreateObject("Outlook.Application")
    Set objNamespace = objOLApp.GetNamespace("MAPI")
    Set objRecipient = objNamespace.CreateRecipient("Jamison, Scott")
    sFreeBusy = objRecipient.FreeBusy(#8/3/1999#, 60, True)
    If Mid$(sFreeBusy, 13, 1) = olFree Or Mid$(sFreeBusy, 14, 1) = olFree Then
       MsgBox objRecipient.Name & " is available."
    Else
       MsgBox objRecipient.Name & " is not available."
    End If
    
    Set objRecipient = Nothing
    Set objOLApp = Nothing
End Sub

Private Sub cmdGetFreeBusy_Click()
    Dim objAddressLists As Outlook.AddressLists
    Dim objAddressList As Outlook.AddressList
    Dim objAddressEntries As Outlook.AddressEntries
    Dim objAddressEntry As Outlook.AddressEntry
    Dim sFreeBusy As String
    
    Set objOLApp = CreateObject("Outlook.Application")
    Set objNamespace = objOLApp.GetNamespace("MAPI")
    Set objAddressLists = objNamespace.AddressLists
    Set objAddressList = objAddressLists.Item("Global Address List")
    Set objAddressEntries = objAddressList.AddressEntries
    Set objAddressEntry = objAddressEntries.GetFirst
    
    sFreeBusy = objAddressEntry.GetFreeBusy(#8/3/1999#, 60, True)
    If Mid$(sFreeBusy, 13, 1) = olFree Or Mid$(sFreeBusy, 14, 1) = olFree Then
       MsgBox objAddressEntry.Name & " is available."
    Else
       MsgBox objAddressEntry.Name & " is not available."
    End If
    
    Set objAddressEntry = Nothing
    Set objNamespace = Nothing
    Set objAddressLists = Nothing
    Set objAddressList = Nothing
    Set objAddressEntries = Nothing
    Set objOLApp = Nothing
End Sub

Private Sub cmdGetRecurrencePattern_Click()
   Dim objRecPattern As Outlook.RecurrencePattern
   Dim objException As Outlook.Exception
   Dim objDeletedApptItem As Outlook.AppointmentItem
   Dim dDate As Date
   
   Set objOLApp = CreateObject("Outlook.Application")
   Set objApptItem = objOLApp.CreateItem(olAppointmentItem)
   With objApptItem
      .Start = #8/25/1999 1:00:00 PM#
      .End = #8/25/1999 2:00:00 PM#
      .Subject = "Meet with my group (most of the time)."
      .Save
      
      'Set a recurrence pattern for this appointment
      'so that this is a weekly appointment
      'that begins on 8/25/99 and ends on 12/29/99
      Set objRecPattern = objApptItem.GetRecurrencePattern
      objRecPattern.RecurrenceType = olRecursWeekly
      objRecPattern.PatternStartDate = #8/25/1999#
      objRecPattern.PatternEndDate = #12/29/1999#
      .Save
      .Display

      'Obtain the specific occurrence for 12/8/99.
      dDate = #12/8/1999 1:00:00 PM#
      Set objDeletedApptItem = objRecPattern.GetOccurrence(dDate)
      'Delete this particular appointment
      objDeletedApptItem.Delete
      
      'Get the recurrence pattern for the master
      'AppointmentItem and get the collection of
      'exceptions
      Set objRecPattern = objApptItem.GetRecurrencePattern
      Set objException = objRecPattern.Exceptions.Item(1)
      MsgBox "Deleted = " & objException.Deleted
   End With
   Set objApptItem = Nothing
   Set objOLApp = Nothing
   Set objRecPattern = Nothing
   Set objException = Nothing
   Set objDeletedApptItem = Nothing
End Sub

Private Sub cmdIsRecurring_Click()
   Dim objRecPattern As Outlook.RecurrencePattern
   
   Set objOLApp = CreateObject("Outlook.Application")
   Set objApptItem = objOLApp.CreateItem(olAppointmentItem)
   With objApptItem
      .Start = #8/27/1999 1:00:00 PM#
      .End = #8/27/1999 2:00:00 PM#
      .Subject = "Meet with my group."
      .Save
      ' First, IsRecurring will be False
      MsgBox "IsRecurring = " & .IsRecurring
      
      'Now, set a recurrence pattern for this appointment
      'so that this is a weekly appointment
      'that begins on 8/27/99 and ends on 12/31/99
      Set objRecPattern = objApptItem.GetRecurrencePattern
      objRecPattern.RecurrenceType = olRecursWeekly
      objRecPattern.PatternStartDate = #8/27/1999#
      objRecPattern.PatternEndDate = #12/31/1999#
      .Save
      ' Now it will print out True,
      MsgBox "IsRecurring = " & .IsRecurring
   End With
   Set objApptItem = Nothing
   Set objOLApp = Nothing
   Set objRecPattern = Nothing
End Sub

Private Sub cmdBusyStatus_Click()
   Set objOLApp = CreateObject("Outlook.Application")
   Set objApptItem = objOLApp.CreateItem(olAppointmentItem)
   With objApptItem
      .Start = #6/27/1999 1:00:00 PM#
      .End = #6/27/1999 2:00:00 PM#
      .Subject = "I am out of the office"
      .Save
      ' First, BusyStatus will be olBusy
      ' (the default for non-all-day appointments)
      MsgBox "BusyStatus = " & .BusyStatus
      ' Now set the AllDayEvent flag
      .AllDayEvent = True
      .Save
      ' The BusyStatus is automatically changed to olFree
      MsgBox "BusyStatus = " & .BusyStatus
      ' Now, set the BusyStatus ourselves to olOutOfOffice
      .BusyStatus = olOutOfOffice
      MsgBox "BusyStatus = " & .BusyStatus
      .Save
   End With
   Set objApptItem = Nothing
   Set objOLApp = Nothing
End Sub

Private Sub cmdRespond_Click()
    Set objOLApp = CreateObject("Outlook.Application")
    Set objNamespace = objOLApp.GetNamespace("MAPI")
    Set objMAPIFolder = objNamespace.GetDefaultFolder(olFolderInbox)
    Set objMeetingItem = objMAPIFolder.Items.GetFirst
    Set objApptItem = objMeetingItem.GetAssociatedAppointment(True)
    If objApptItem.ResponseRequested Then
        ' Use FreeBusy check here
        If sFreeBusy = olFree Then
        ' if available then accept
            objApptItem.Respond olResponseAccepted, True, False
        Else
        ' otherwise decline
            objApptItem.Respond olMeetingDeclined, True, False
        End If
    End If
    Set objOLApp = Nothing
    Set objNamespace = Nothing
    Set objMAPIFolder = Nothing
    Set objMeetingItem = Nothing
    Set objApptItem = Nothing
End Sub

Private Sub cmdStartEndDuration_Click()
   Set objOLApp = CreateObject("Outlook.Application")
   Set objApptItem = objOLApp.CreateItem(olAppointmentItem)
   With objApptItem
      .Start = #6/29/1999 1:10:00 PM#
      .End = #6/29/1999 2:00:00 PM#
      .Subject = "This is the duration example."
      .Save
      MsgBox "Start = " & Format(.Start, "mm/dd/yy hh:mm")
      MsgBox "End = " & Format(.End, "mm/dd/yy hh:mm")
      MsgBox "Duration = " & .Duration
      
      ' Now, change the Duration directly; End date/time is automatically changed
      .Duration = 90
      MsgBox "End has changed to " & Format(.End, "mm/dd/yy hh:mm")
   End With
   Set objApptItem = Nothing
   Set objOLApp = Nothing
End Sub

Private Sub cmdStatusReport_Click()
    Set objOLApp = CreateObject("Outlook.Application")
    Set objTaskItem = objOLApp.CreateItem(olTaskItem)
    With objTaskItem
        .Subject = "The Arugula Project"
        Set objRecipient = .Recipients.Add("Scott Jamison")
        objRecipient.Type = olUpdate
        Set objRecipient = .Recipients.Add("Bill Wiley")
        objRecipient.Type = olFinalStatus
        .Recipients.Add ("Rufus Xavier Sarsparilla")
        .Status = olTaskInProgress
        .PercentComplete = 50
        .Display
        .PercentComplete = 100
        MsgBox .Complete
        .Display
        .TotalWork = 10
        .ActualWork = 10
        .Save
    End With
    
    ' This will send an update to the StatusUpdateRecipients
    Set objMailItem = objTaskItem.StatusReport
    objMailItem.Send
    
    ' This will send an update to theStatusOnCompletionRecipients
    objTaskItem.PercentComplete = 100
    objTaskItem.Save
    
    Set objMailItem = Nothing
    Set objTaskItem = Nothing
    Set objOLApp = Nothing
End Sub

Private Sub cmdTaskRecipients_Click()
   Dim objRecipient As Outlook.Recipient
   Set objOLApp = CreateObject("Outlook.Application")
   Set objItem = objOLApp.CreateItem(olTaskItem)
   With objItem
   ' Set the task up to be assigned
   .Assign
   ' Create a recipient object
   Set objRecipient = .Recipients.Add("Smith, Joe")
   objRecipient.Type = ol
        .DueDate = DateAdd("d", 10, Now())
        .Subject = "Finish W4 forms"
        .Body = "Please turn in your W4 forms as soon as possible."
   ' Forward the new task to the delegate
   ' instead of saving it directly
       .Send
   End With
   Set objItem = Nothing
   Set objOLApp = Nothing
End Sub

Private Sub cmdTaskRespond_Click()
    Set objOLApp = CreateObject("Outlook.Application")
    Set objNamespace = objOLApp.GetNamespace("MAPI")
    ' Get a reference to the Inbox
    Set objMAPIFolder = objNamespace.GetDefaultFolder(olFolderInbox)
    ' Get the first item (assuming it's a task request)
    Set objTaskRequestItem = objMAPIFolder.Items.GetFirst
    ' Get the associated task
    Set objTaskItem = objTaskRequestItem.GetAssociatedTask(True)
    ' Respond to the request
    objTaskItem.Respond olTaskAccept, True, False
    Set objOLApp = Nothing
    Set objNamespace = Nothing
    Set objMAPIFolder = Nothing
    Set objTaskRequestItem = Nothing
    Set objTaskItem = Nothing

End Sub

Private Sub cmdvCal_Click()
   Dim objMailItem As Outlook.MailItem
   Set objOLApp = CreateObject("Outlook.Application")
   Set objApptItem = objOLApp.CreateItem(olAppointmentItem)
   With objApptItem
      .Start = #7/29/1999 1:10:00 PM#
      .End = #7/29/1999 2:00:00 PM#
      .Subject = "This is the vCal example."
      .Save
      ' The ForwardasVcal method returns a MailItem object
      Set objMailItem = .ForwardAsVcal
      objMailItem.Display
   End With
   Set objApptItem = Nothing
   Set objOLApp = Nothing
   Set objMailItem = Nothing
End Sub
