VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Chapter 6 Code Examples"
   ClientHeight    =   3420
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5325
   LinkTopic       =   "Form1"
   ScaleHeight     =   3420
   ScaleWidth      =   5325
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdAddLink 
      Caption         =   "Add Link"
      Height          =   495
      Left            =   3600
      TabIndex        =   6
      Top             =   1320
      Width           =   1335
   End
   Begin VB.CommandButton cmdGetRecipient 
      Caption         =   "GetRecipient"
      Height          =   495
      Left            =   1680
      TabIndex        =   5
      Top             =   2760
      Width           =   1455
   End
   Begin VB.CommandButton cmdAddressEntry 
      Caption         =   "AddressEntry"
      Height          =   495
      Left            =   120
      TabIndex        =   4
      Top             =   2760
      Width           =   1455
   End
   Begin VB.CommandButton cmdProperties 
      Caption         =   "Get Properties"
      Height          =   495
      Left            =   1680
      TabIndex        =   3
      Top             =   1920
      Width           =   1455
   End
   Begin VB.CommandButton cmdAddContactToDL 
      Caption         =   "Add Contact to DL"
      Height          =   495
      Left            =   1680
      TabIndex        =   2
      Top             =   1320
      Width           =   1455
   End
   Begin VB.CommandButton cmdCreateDL 
      Caption         =   "Create a DL"
      Height          =   495
      Left            =   120
      TabIndex        =   1
      Top             =   1920
      Width           =   1455
   End
   Begin VB.CommandButton cmdContact 
      Caption         =   "Create Contact"
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   1320
      Width           =   1455
   End
   Begin VB.Label Label1 
      Caption         =   "Chapter 6: Contact and DistList Code Examples"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   855
      Left            =   120
      TabIndex        =   7
      Top             =   120
      Width           =   5415
   End
   Begin VB.Line Line1 
      X1              =   120
      X2              =   5160
      Y1              =   2640
      Y2              =   2640
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim objOLApp As Outlook.Application
Dim objNamespace As Outlook.NameSpace
Dim objContactItem As Outlook.ContactItem
Dim objDLItem As Outlook.DistListItem
Dim objMailItem As Outlook.MailItem
Dim objMAPIFolder As Outlook.MAPIFolder
Dim objItems As Outlook.Items
Dim objFilteredItems As Outlook.Items
Dim objRecipient As Outlook.Recipient
Dim objRecipients As Outlook.Recipients
Dim objAddressLists As Outlook.AddressLists
Dim objAddressList As Outlook.AddressList
Dim objAddressEntries As Outlook.AddressEntries
Dim objAddressEntry As Outlook.AddressEntry

Private Sub cmdAddContactToDL_Click()
    ' Return a reference to the Application object
    Dim sDLName As String
    sDLName = InputBox("Enter the name of the distribution list")
    
    Set objOLApp = CreateObject("Outlook.Application")
    Set objNamespace = objOLApp.GetNamespace("MAPI")
    Set objMAPIFolder = objNamespace.GetDefaultFolder(olFolderContacts)
    Set objItems = objMAPIFolder.Items
    Set objFilteredItems = objItems.Restrict("[MessageClass] = ""IPM.DistList""")
    'Loop through the items using For Each
    For Each objDLItem In objFilteredItems
       If objDLItem.DLName = sDLName Then
          Exit For
       End If
    Next
    
    ' Create a temporary mailitem object
    Set objMailItem = CreateItem(olMailItem)
    Set objRecipients = objMailItem.Recipients
    With objRecipients
        .Add ("Johnson, Scott")
        .Add ("Smith, Mary")
    End With
    ' Loop through the collection using For Each to list failures
    If Not (objRecipients.ResolveAll) Then
       MsgBox "Resolve failed."
       For Each objRecipient In objRecipients
         If Not objRecipient.Resolved Then
            MsgBox objRecipient.Name & " failed."
         End If
       Next
    Else
       ' Loop through collection showing that there's a
       ' corresponding AddressEntry object
       MsgBox "Resolve succeeded."
       For Each objRecipient In objRecipients
            MsgBox objRecipient.AddressEntry.Name
       Next
        ' Use the AddMembers method to add a list of recipients
        With objDLItem
            .AddMembers objRecipients
            .Save
        End With
    End If
    
    Set objMailItem = Nothing
    Set objItems = Nothing
    Set objFilteredItems = Nothing
    Set objMAPIFolder = Nothing
    Set objNamespace = Nothing
    Set objOLApp = Nothing
End Sub

Private Sub cmdAddLink_Click()
    Dim objContactFolder As Outlook.MAPIFolder
    Dim objFolder As Outlook.MAPIFolder
    Dim objContactItem As Outlook.ContactItem
    Dim objMailItem As Outlook.MailItem
    
    Set objOLApp = CreateObject("Outlook.Application")
    Set objNamespace = objOLApp.GetNamespace("MAPI")
    Set objContactFolder = objNamespace.GetDefaultFolder(olFolderContacts)
    Set objFolder = objNamespace.Folders("Mailbox - Jamison, Scott").Folders("Pending Email")
    Set objContactItem = objContactFolder.Items.GetFirst
    Set objMailItem = objFolder.Items.GetFirst
    
    objMailItem.Links.Add objContactItem
    objMailItem.Save

    Set objFolder = Nothing
    Set objMailItem = Nothing
    Set objContactItem = Nothing
    Set objContactFolder = Nothing
    Set objNamespace = Nothing
    Set objOLApp = Nothing
End Sub

Private Sub cmdAddressEntry_Click()
    Set objOLApp = CreateObject("Outlook.Application")
    Set objNamespace = objOLApp.GetNamespace("MAPI")
    Set objAddressLists = objNamespace.AddressLists
    Debug.Print objAddressLists.Count
    
    Set objAddressList = objAddressLists("Contacts")
    Set objAddressEntries = objAddressList.AddressEntries
    Set objAddressEntry = objAddressEntries.GetFirst
    For n = 1 To objAddressEntries.Count
        With objAddressEntry
            Debug.Print .Address
            Debug.Print .DisplayType
            Debug.Print .Type
        End With
        Set objAddressEntry = objAddressEntries.GetNext
    Next
End Sub

Private Sub cmdContact_Click()
    ' Return a reference to the Application object
    Set objOLApp = CreateObject("Outlook.Application")
    ' Next, use the CreateItem method, specifying the type of message
    Set objContactItem = objOLApp.CreateItem(olContactItem)
    ' Then set relevant properties
    With objContactItem
        .LastName = "Smith"
        .FirstName = "John"
        .Email1Address = "smith@abc.org"
        .Body = "This is a great guy."
        .Categories = "Business;Gifts"
        ' The following saves the item in the current
        ' user's default contact folder
        .Save
    End With
    Set objContactItem = Nothing
    Set objOLApp = Nothing
End Sub

Private Sub cmdCreateDL_Click()
    ' Return a reference to the Application object
    Set objOLApp = CreateObject("Outlook.Application")
    ' Next, use the CreateItem method, specifying the type of message
    Set objDLItem = objOLApp.CreateItem(olDistributionListItem)
    ' Then set relevant properties
    With objDLItem
        .DLName = "Outlook Developers"
        ' The following saves the item in the current
        ' user's default contact folder
        .Save
    End With
    Set objDLItem = Nothing
    Set objOLApp = Nothing
End Sub

Private Sub cmdGetRecipient_Click()
    Dim sEntryID As String
    Set objOLApp = CreateObject("Outlook.Application")
    Set objNamespace = objOLApp.GetNamespace("MAPI")
    Set objRecipient = objNamespace.CreateRecipient("Mary Smith")
    objRecipient.Resolve
    MsgBox objRecipient.Address
    'objRecipient.AddressEntry.Details
    ' Save the EntryID for the next example
    sEntryID = objRecipient.EntryID
    MsgBox sEntryID
    Set objRecipient = Nothing
    'The GetRecipientFromID allows you to return a Recipient object by passing a string that represents the EntryID of the recipient:
    Set objRecipient = objNamespace.GetRecipientFromID(sEntryID)
    'objRecipient.AddressEntry.Details
    MsgBox objRecipient.Address
End Sub

Private Sub cmdProperties_Click()
    Set objOLApp = CreateObject("Outlook.Application")
    Set objNamespace = objOLApp.GetNamespace("MAPI")
    Set objMAPIFolder = objNamespace.GetDefaultFolder(olFolderContacts)
    Set objItems = objMAPIFolder.Items
    Set objContactItem = objItems.Item(2)
    With objContactItem
        Debug.Print "Name = " & .FullName
        Debug.Print "Account = " & .Account
        Debug.Print "CompanyAndFullName = " & .CompanyAndFullName
        Debug.Print "CompanyLastFirstNoSpace = " & .CompanyLastFirstNoSpace
        Debug.Print "CompanyLastFirstSpaceOnly = " & .CompanyLastFirstSpaceOnly
        Debug.Print "FullNameAndCompany = " & .FullNameAndCompany
    End With
    Set objOLApp = Nothing
    Set objNamespace = Nothing
    Set objMAPIFolder = Nothing
    Set objItems = Nothing
    Set objContactItem = Nothing
End Sub

