VERSION 5.00
Begin VB.Form frmEmail 
   Caption         =   "Untitled - email"
   ClientHeight    =   3450
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5865
   Icon            =   "Email.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3450
   ScaleWidth      =   5865
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdSend 
      Caption         =   "Send"
      Height          =   615
      Left            =   5040
      Picture         =   "Email.frx":0442
      Style           =   1  'Graphical
      TabIndex        =   5
      Top             =   120
      Width           =   735
   End
   Begin VB.TextBox txtMessage 
      Height          =   2415
      Left            =   0
      MultiLine       =   -1  'True
      TabIndex        =   4
      Top             =   960
      Width           =   5775
   End
   Begin VB.TextBox txtSubject 
      Height          =   285
      Left            =   1200
      TabIndex        =   3
      Top             =   600
      Width           =   3735
   End
   Begin VB.TextBox txtTo 
      Height          =   285
      Left            =   1200
      TabIndex        =   2
      Top             =   120
      Width           =   3735
   End
   Begin VB.CommandButton cmdTo 
      Caption         =   "To..."
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   855
   End
   Begin VB.Label lblSubject 
      Caption         =   "Subject:"
      Height          =   255
      Left            =   240
      TabIndex        =   1
      Top             =   600
      Width           =   735
   End
End
Attribute VB_Name = "frmEmail"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Chapter 9-Collaboration Data Objects
' Sample "mini email" application
'
Dim objSession As MAPI.Session
Dim objRecipient As MAPI.Recipient
Dim objRecipients As MAPI.Recipients
Dim sRecipients As String
Dim objFolder As MAPI.Folder
Dim objMessage As MAPI.Message

Private Sub cmdSend_Click()
    Me.MousePointer = vbHourglass
    ' Use the subject and message text boxes to send the email
    Set objFolder = objSession.Outbox
    Set objMessage = objFolder.Messages.Add
    With objMessage
        .Recipients = objRecipients
        .Subject = txtSubject.Text
        .Text = txtMessage.Text
        .Send
    End With
    Set objMessage = Nothing
    Set objFolder = Nothing
    Me.MousePointer = vbNormal
End Sub

Private Sub cmdTo_Click()
    Dim n As Integer
    On Error GoTo Err_Address
    
    Set objRecipients = objSession.AddressBook(, "Select recipients", True)
    
    ' Loop through list of chosen recipients and
    ' fill the "To" box
    sRecipients = ""
    For n = 1 To objRecipients.Count
        Set objRecipient = objRecipients.Item(n)
        sRecipients = sRecipients & objRecipient.Name
        If n <> objRecipients.Count Then
            sRecipients = sRecipients & ";"
        End If
    Next n
    txtTo.Text = sRecipients
    Exit Sub
    
Err_Address:
    If Err.Number = CdoE_USER_CANCEL Then
        'Request cancelled
    Else
        MsgBox "An error has occurred."
    End If
    
End Sub

Private Sub Form_Load()
    On Error GoTo Err_logon
    Set objSession = CreateObject("MAPI.Session")
    ' Logon to one of the profiles
    objSession.Logon
    ' success
    Exit Sub
Err_logon:
    If Err.Number = CdoE_USER_CANCEL Then
        MsgBox "Request cancelled."
    Else
        MsgBox "An error has occurred."
    End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
    objSession.Logoff
    Set objSession = Nothing
End Sub

Private Sub txtSubject_Change()
    frmEmail.Caption = txtSubject.Text & " - email"
End Sub
