VERSION 5.00
Begin VB.Form frmAsk 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Ask"
   ClientHeight    =   1740
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4275
   Icon            =   "Ask.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1740
   ScaleWidth      =   4275
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.TextBox txtAnswer 
      Height          =   315
      Left            =   60
      TabIndex        =   0
      Top             =   1320
      Width           =   4095
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   3180
      TabIndex        =   2
      Top             =   480
      Width           =   975
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   315
      Left            =   3180
      TabIndex        =   1
      Top             =   60
      Width           =   975
   End
   Begin VB.Label lblPrompt 
      Height          =   1035
      Left            =   60
      TabIndex        =   3
      Top             =   120
      Width           =   2955
   End
End
Attribute VB_Name = "frmAsk"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private mnMinLength As Integer
Private mbCancel As Boolean
Private msAnswer As String

Public Sub Display(sPrompt As String, Optional sTitle As String, Optional sDefault As String, Optional nMinLength As Integer, Optional nMaxLength As Integer)

  mbCancel = True
  msAnswer = ""
  
  mnMinLength = nMinLength
  
  If sTitle = "" Then
    sTitle = "Input Required"
  End If
  
  Me.Caption = sTitle
  lblPrompt.Caption = sPrompt
    
  txtAnswer.Text = sDefault
  txtAnswer.MaxLength = nMaxLength
  If sDefault <> "" Then
    txtAnswer.SelStart = 0
    txtAnswer.SelLength = Len(txtAnswer.Text)
  End If
  
  Me.Show vbModal

End Sub

Public Property Get Answer() As String

  Answer = Trim(msAnswer)

End Property

Public Property Get Cancel() As Boolean

  Cancel = mbCancel

End Property

Private Sub cmdCancel_Click()

  Unload Me

End Sub

Private Sub cmdOk_Click()

  If Len(txtAnswer.Text) < mnMinLength Then
    MsgBox "Value must be at least " & mnMinLength & _
      " characters long", vbInformation, "Incorrect Length"
  Else
    msAnswer = txtAnswer.Text
    mbCancel = False
    Unload Me
  End If
  
End Sub

