VERSION 5.00
Begin VB.Form frmNameList 
   Caption         =   "Name Lists"
   ClientHeight    =   4215
   ClientLeft      =   5640
   ClientTop       =   5160
   ClientWidth     =   4530
   ControlBox      =   0   'False
   Icon            =   "NameList.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4215
   ScaleWidth      =   4530
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdRename 
      Caption         =   "Re&name"
      Height          =   315
      Left            =   3300
      TabIndex        =   3
      ToolTipText     =   "Remove Selected List"
      Top             =   2220
      Width           =   1125
   End
   Begin VB.CommandButton cmdRemove 
      Caption         =   "&Remove"
      Height          =   315
      Left            =   3300
      TabIndex        =   4
      ToolTipText     =   "Remove Selected List"
      Top             =   2640
      Width           =   1125
   End
   Begin VB.CommandButton cmdNew 
      Caption         =   "&New"
      Height          =   315
      Left            =   3300
      TabIndex        =   2
      ToolTipText     =   "Add New List"
      Top             =   1800
      Width           =   1125
   End
   Begin VB.Frame Frame2 
      Caption         =   "Available Name Lists"
      Height          =   2955
      Left            =   60
      TabIndex        =   9
      Top             =   780
      Width           =   3135
      Begin VB.ListBox lisNameList 
         Height          =   2400
         Left            =   120
         TabIndex        =   0
         ToolTipText     =   "Available Lists"
         Top             =   300
         Width           =   2895
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Default Name List"
      Height          =   615
      Left            =   60
      TabIndex        =   8
      Top             =   60
      Width           =   3135
      Begin VB.Label lblDefaultNameList 
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   180
         TabIndex        =   7
         Top             =   240
         Width           =   2835
      End
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   3300
      TabIndex        =   6
      Top             =   3780
      Width           =   1125
   End
   Begin VB.CheckBox chkDefault 
      Caption         =   "Set as default"
      Height          =   375
      Left            =   60
      TabIndex        =   1
      Top             =   3780
      Width           =   1305
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   315
      Left            =   3300
      TabIndex        =   5
      Top             =   3360
      Width           =   1125
   End
End
Attribute VB_Name = "frmNameList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Const msMODULE_NAME As String = "frmNameList"
Private mbCancel As Boolean

Private Sub cboNameList_KeyDown(KeyCode As Integer, Shift As Integer)
    '// frmCalView.tag is set by frmoutlookshedule when calling frm
    '//cant add new name if selecting
    If frmCalView.Tag = "Select" Then
        KeyCode = 0
    End If
End Sub

Private Sub cboNameList_KeyPress(KeyAscii As Integer)
    '// frmCalView.tag is set by frmoutlookshedule when calling frm
    '//cant add new name if selecting
    If frmCalView.Tag = "Select" Then
        KeyAscii = 0
    End If
    ' No spaces in name
    If frmCalView.Tag = "Save" And KeyAscii = vbKeySpace Then
      KeyAscii = 0
    End If
End Sub

Private Sub chkDefault_Click()

  If lisNameList.ListIndex > -1 And chkDefault.Value = vbChecked Then
    lblDefaultNameList.Caption = lisNameList.Text
  End If

End Sub

Private Sub cmdCancel_Click()
  
  Unload Me

End Sub

Private Sub cmdNew_Click()

Const sPROCEDURE_NAME As String = "cmdNew_Click"    ' Error logging

Dim sNameList As String
Dim lRc As Long
Dim lListLoop As Long
Dim bExists As Boolean
Dim bDone As Boolean

Dim ofrmAsk As frmAsk

  On Error GoTo cmdNew_Click_Error
  
  Set ofrmAsk = New frmAsk
  sNameList = "New List"
  Do
    bDone = True
    Call ofrmAsk.Display("Enter list name (1 to 20 characters):", "New List", _
      sNameList, 1, 20)
    If Not ofrmAsk.Cancel Then
      sNameList = ofrmAsk.Answer
      
      bExists = False
      For lListLoop = 0 To lisNameList.ListCount - 1
        If UCase(lisNameList.List(lListLoop)) = UCase(sNameList) Then
          bExists = True
          Exit For
        End If
      Next
      
      If bExists Then
        MsgBox "List name already exists.", vbInformation, "List not added!"
        bDone = False
      Else
        If UCase(sNameList) = "NONE" Then
          MsgBox "Can not use 'NONE' as a list name!", vbInformation, "List not added!"
          bDone = False
        Else
          lisNameList.AddItem sNameList
          lisNameList.ListIndex = lisNameList.NewIndex
          
          ' Save current name resource data (with no one on list)
          lRc = WritePrivateProfileString("NameLists", "~" & sNameList, "", "CalView_" & gsWindowsUserName & ".ini")
        End If
      End If
    End If
  Loop Until bDone


cmdNew_Click_Exit:
  On Error Resume Next
  
  Set ofrmAsk = Nothing
  Exit Sub

cmdNew_Click_Error:
  With Err
    RunTimeError msMODULE_NAME, sPROCEDURE_NAME, .Number, .Description, .Source, .HelpFile, .HelpContext, .LastDllError
  End With
        
  If gbDesignTime Then
    Stop
    Resume
  Else
    Resume cmdNew_Click_Exit
  End If

End Sub

Private Sub cmdOK_Click()

Dim nNamesCount As Integer
Dim nListCount As Integer
Dim lRc As Long
Dim sNames As String
Dim sNameList As String
    
  AddNamesToListBox frmCalView.mResources, CStr(lisNameList.Text)
  gbScheduleUpdated = False
  
  ' See if we want to use current list as default
  If chkDefault = vbChecked Then
    lRc = WritePrivateProfileString("Options", "Deflist", "~" & lisNameList.Text, "CalView_" & gsWindowsUserName & ".ini")
    gsDefaultNameList = lisNameList.Text
  End If
  
  ' Save name of current name list
  gsCurrentNameList = lisNameList.Text
  If gsCurrentNameList = "" Then
    frmCalView.lblCurrentList.Caption = "NONE"
  End If
  
  mbCancel = False
  Unload Me
    
End Sub

Private Sub cmdRemove_Click()

Dim sMsg As String
Dim lRc As Long
    
  sMsg = "Are you sure that you want to remove the List '" & lisNameList.Text & "'?"
  lRc = MsgBox(sMsg, vbYesNo + vbDefaultButton2, "Remove List")
  If lRc = vbYes Then
    On Error Resume Next
    lRc = WritePrivateProfileStringToDeleteKey("NameLists", "~" & lisNameList.Text, 0, "CalView_" & gsWindowsUserName & ".ini")
    
    If lisNameList.Text = lblDefaultNameList.Caption Then
      lblDefaultNameList.Caption = "NONE"
      lRc = WritePrivateProfileStringToDeleteKey("Options", "Deflist", 0, "CalView_" & gsWindowsUserName & ".ini")
    End If
    
    If lisNameList.Text = frmCalView.lblCurrentList.Caption Then
      gsCurrentNameList = ""
      frmCalView.lblCurrentList.Caption = "NONE"
    End If
    
    lisNameList.RemoveItem lisNameList.ListIndex
    lisNameList.ListIndex = 0
  End If

  Call lisNameList_Click

End Sub

Private Sub cmdRename_Click()

Const sPROCEDURE_NAME As String = "cmdRename_Click"    ' Error logging

Dim sNameList As String
Dim sNames As String
Dim lRc As Long
Dim lListLoop As Long
Dim bExists As Boolean
Dim bDone As Boolean

Dim ofrmAsk As frmAsk

  On Error GoTo cmdRename_Click_Error
  
  If lisNameList.ListIndex > -1 Then
    Set ofrmAsk = New frmAsk
    sNameList = lisNameList.Text
    Do
      bDone = True
      Call ofrmAsk.Display("Enter list name (1 to 20 characters):", "Rename List", _
        sNameList, 1, 20)
      If Not ofrmAsk.Cancel Then
        sNameList = ofrmAsk.Answer
        
        bExists = False
        For lListLoop = 0 To lisNameList.ListCount - 1
          If UCase(lisNameList.List(lListLoop)) = UCase(sNameList) And _
            lisNameList.ListIndex <> lListLoop Then
            bExists = True
            Exit For
          End If
        Next
        
        If bExists Then
          MsgBox "List name already exists.", vbInformation, "List not renamed!"
          bDone = False
        Else
          If UCase(sNameList) = "NONE" Then
            MsgBox "Can not use 'NONE' as a list name!", vbInformation, "List not renamed!"
            bDone = False
          Else
            sNames = Space(16000)
            lRc = GetPrivateProfileString("NameLists", "~" & lisNameList.Text, "", sNames, 16000, "CalView_" & gsWindowsUserName & ".ini")
            
            ' Save current name resource data (with no one on list)
            lRc = WritePrivateProfileString("NameLists", "~" & sNameList, sNames, "CalView_" & gsWindowsUserName & ".ini")
          
            lRc = WritePrivateProfileStringToDeleteKey("NameLists", "~" & lisNameList.Text, 0, "CalView_" & gsWindowsUserName & ".ini")
            
            If lisNameList.Text = frmCalView.lblCurrentList.Caption Then
              frmCalView.lblCurrentList.Caption = sNameList
            End If
            lisNameList.List(lisNameList.ListIndex) = sNameList
          End If
        End If
      End If
    Loop Until bDone
  
  End If

cmdRename_Click_Exit:
  On Error Resume Next
  
  Set ofrmAsk = Nothing
  Exit Sub

cmdRename_Click_Error:
  With Err
    RunTimeError msMODULE_NAME, sPROCEDURE_NAME, .Number, .Description, .Source, .HelpFile, .HelpContext, .LastDllError
  End With
        
  If gbDesignTime Then
    Stop
    Resume
  Else
    Resume cmdRename_Click_Exit
  End If

End Sub

Private Sub Form_Load()

Dim sSection As String
Dim lRc As Long
Dim nNameEQsign As Integer
Dim nNameTilde As Integer
    
  mbCancel = True
      
  sSection = Space(16000)
  lRc = GetPrivateProfileSection("NameLists", sSection, 16000, "CalView_" & gsWindowsUserName & ".ini")

  nNameEQsign = 1
  With lisNameList
    Do While True
      nNameTilde = InStr(nNameEQsign, sSection, "~", vbTextCompare)
      If nNameTilde > 0 Then
        nNameEQsign = InStr(nNameTilde, sSection, "=")
        .AddItem (Mid(sSection, nNameTilde + 1, (nNameEQsign - nNameTilde) - 1))
        
        ' Set combo box to current name list if any
        If gsCurrentNameList = .List(.NewIndex) Then
          .ListIndex = .NewIndex
        End If
      Else
        Exit Do
      End If
    Loop
  End With
  
  gsDefaultNameList = Space(55)
  lRc = GetPrivateProfileString("Options", "DefList", "", gsDefaultNameList, 56, "CalView_" & gsWindowsUserName & ".ini")
  
  ' Return value will have chr(0) appended - remove it
  gsDefaultNameList = Left(gsDefaultNameList, Len(Trim(gsDefaultNameList)) - 1)
  
  If gsDefaultNameList <> "" Then
    lblDefaultNameList.Caption = Mid(gsDefaultNameList, 2)
  Else
    lblDefaultNameList.Caption = "NONE"
  End If
  
  Call lisNameList_Click
  
End Sub

Private Sub lisNameList_Click()

  If lisNameList.ListIndex > -1 Then
    If UCase(lisNameList.Text) = UCase(lblDefaultNameList.Caption) Then
      chkDefault.Value = vbChecked
    Else
      chkDefault.Value = vbUnchecked
    End If
  End If

End Sub

Private Sub lisNameList_DblClick()

  Call cmdOK_Click

End Sub

Public Property Get Cancel() As Boolean

  Cancel = mbCancel

End Property

