VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.3#0"; "comctl32.ocx"
Begin VB.Form frmProgressBar 
   AutoRedraw      =   -1  'True
   BackColor       =   &H80000004&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "CalView"
   ClientHeight    =   3555
   ClientLeft      =   3945
   ClientTop       =   2190
   ClientWidth     =   5340
   ControlBox      =   0   'False
   Icon            =   "Progressbar.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3555
   ScaleWidth      =   5340
   StartUpPosition =   2  'CenterScreen
   Begin VB.PictureBox picSplash 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   1935
      Left            =   0
      ScaleHeight     =   1935
      ScaleWidth      =   5355
      TabIndex        =   4
      Top             =   120
      Width           =   5355
      Begin VB.Frame fraMMA 
         Height          =   975
         Left            =   -60
         TabIndex        =   5
         Top             =   900
         Width           =   5535
         Begin VB.Label lblLblCreated 
            Caption         =   "Orignally created by Micro Modeling Associates Morristown, NJ"
            BeginProperty Font 
               Name            =   "MS Sans Serif"
               Size            =   8.25
               Charset         =   0
               Weight          =   700
               Underline       =   0   'False
               Italic          =   0   'False
               Strikethrough   =   0   'False
            EndProperty
            Height          =   495
            Left            =   1320
            TabIndex        =   6
            Top             =   360
            Width           =   3375
         End
      End
      Begin VB.Label lblCalview 
         Caption         =   "CalViewer"
         BeginProperty Font 
            Name            =   "Arial"
            Size            =   26.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   615
         Left            =   1260
         TabIndex        =   7
         Top             =   180
         Width           =   3375
      End
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2040
      TabIndex        =   0
      Top             =   3120
      Width           =   1095
   End
   Begin ComctlLib.ProgressBar pbrNames 
      Height          =   255
      Left            =   240
      TabIndex        =   1
      Top             =   2760
      Width           =   4815
      _ExtentX        =   8493
      _ExtentY        =   450
      _Version        =   327682
      Appearance      =   1
   End
   Begin VB.Label lblCurrentName 
      Height          =   195
      Left            =   240
      TabIndex        =   3
      Top             =   2400
      Width           =   4815
   End
   Begin VB.Label lblProgressMessage 
      Caption         =   "Please wait..."
      Height          =   195
      Left            =   120
      TabIndex        =   2
      Top             =   2160
      Width           =   4815
   End
End
Attribute VB_Name = "frmProgressBar"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private mbCancel As Boolean   ' T = Action is Cancelled, F = Normal

Private Sub cmdCancel_Click()
  
  mbCancel = True

End Sub

Public Property Get Cancel() As Boolean

  Cancel = mbCancel

End Property

'------------------------------------------------------------------------------------------------------
'  Developing Applications using Outlook 2000, CDO, Exchange, and Visual Basic
'------------------------------------------------------------------------------------------------------
'Purpose        Show progress of updating schedule
'------------------------------------------------------------------------------------------------------
'   Revision History:
'   Date:       Developer:                  Description:
'------------------------------------------------------------------------------------------------------

'------------------------------------------------------------------------------------

Private Sub Form_Load()

  Me.Caption = App.Title & " " & App.Major & "." & App.Minor

End Sub

Public Sub Display(bShowCancel As Boolean)

Dim lTwipY As Long
  
  lTwipY = Screen.TwipsPerPixelY
  
  If picSplash.Enabled Then
    lblProgressMessage.Top = picSplash.Top + picSplash.Height + 12 * lTwipY
  Else
    lblProgressMessage.Top = 8 * lTwipY
  End If
  
  lblCurrentName.Top = lblProgressMessage.Top + lblProgressMessage.Height + 4 * lTwipY
  pbrNames.Top = lblCurrentName.Top + lblCurrentName.Height + 4 * lTwipY
  cmdCancel.Top = pbrNames.Top + pbrNames.Height + 8 * lTwipY
  Me.Height = cmdCancel.Top + cmdCancel.Height + 33 * lTwipY
  
  cmdCancel.Visible = bShowCancel
  
  mbCancel = False
  Me.Show vbModeless
  Me.Refresh

End Sub

Private Sub lblCurrentName_Change()

  Me.Refresh

End Sub

