VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.3#0"; "comctl32.ocx"
Begin VB.Form frmDesignError 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "MMA Design Time Error Handler"
   ClientHeight    =   5730
   ClientLeft      =   45
   ClientTop       =   165
   ClientWidth     =   8205
   Icon            =   "frmDesignError.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5730
   ScaleWidth      =   8205
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton cmdPrevious 
      Caption         =   "< &Previous Error"
      Height          =   405
      Left            =   2490
      TabIndex        =   19
      Top             =   5190
      Width           =   1455
   End
   Begin VB.CommandButton cmdClose 
      Cancel          =   -1  'True
      Caption         =   "&Close"
      Default         =   -1  'True
      Height          =   405
      Left            =   750
      TabIndex        =   18
      Top             =   5190
      Width           =   1455
   End
   Begin VB.CommandButton cmdNext 
      Caption         =   "&Next Error >"
      Height          =   405
      Left            =   4230
      TabIndex        =   17
      Top             =   5190
      Width           =   1455
   End
   Begin VB.CommandButton cmdPrint 
      Caption         =   "&Print"
      Height          =   405
      Left            =   6000
      TabIndex        =   16
      Top             =   5190
      Width           =   1455
   End
   Begin VB.Frame fraError 
      Height          =   4665
      Left            =   90
      TabIndex        =   1
      Top             =   360
      Width           =   7995
      Begin ComctlLib.ListView lvwDetail 
         Height          =   1635
         Left            =   120
         TabIndex        =   12
         Top             =   2820
         Width           =   7725
         _ExtentX        =   13626
         _ExtentY        =   2884
         View            =   3
         LabelEdit       =   1
         LabelWrap       =   -1  'True
         HideSelection   =   -1  'True
         _Version        =   327682
         ForeColor       =   -2147483640
         BackColor       =   -2147483643
         BorderStyle     =   1
         Appearance      =   1
         NumItems        =   0
      End
      Begin VB.TextBox txtSummary 
         Height          =   645
         Left            =   150
         Locked          =   -1  'True
         MultiLine       =   -1  'True
         ScrollBars      =   2  'Vertical
         TabIndex        =   10
         Text            =   "frmDesignError.frx":000C
         Top             =   1590
         Width           =   7695
      End
      Begin VB.Label lblTypeText 
         Alignment       =   2  'Center
         BorderStyle     =   1  'Fixed Single
         Height          =   315
         Left            =   4560
         TabIndex        =   15
         Top             =   300
         Width           =   1515
      End
      Begin VB.Label lblType 
         BackStyle       =   0  'Transparent
         Caption         =   "Type:"
         Height          =   195
         Left            =   4050
         TabIndex        =   14
         Top             =   330
         Width           =   435
      End
      Begin VB.Label lblDetail 
         BackStyle       =   0  'Transparent
         Caption         =   "Error Detail:"
         Height          =   255
         Left            =   150
         TabIndex        =   13
         Top             =   2610
         Width           =   1305
      End
      Begin VB.Label lblSummary 
         BackStyle       =   0  'Transparent
         Caption         =   "Error Summary:"
         Height          =   255
         Left            =   150
         TabIndex        =   11
         Top             =   1350
         Width           =   1305
      End
      Begin VB.Label lblProcText 
         BorderStyle     =   1  'Fixed Single
         Height          =   315
         Left            =   4560
         TabIndex        =   9
         Top             =   840
         Width           =   3285
      End
      Begin VB.Label lblProc 
         BackStyle       =   0  'Transparent
         Caption         =   "Proc:"
         Height          =   195
         Left            =   4080
         TabIndex        =   8
         Top             =   900
         Width           =   585
      End
      Begin VB.Label lblTimeText 
         Alignment       =   2  'Center
         BorderStyle     =   1  'Fixed Single
         Height          =   315
         Left            =   2610
         TabIndex        =   7
         Top             =   300
         Width           =   1095
      End
      Begin VB.Label lblTime 
         BackStyle       =   0  'Transparent
         Caption         =   "Time:"
         Height          =   195
         Left            =   2100
         TabIndex        =   6
         Top             =   330
         Width           =   435
      End
      Begin VB.Label lblDateText 
         Alignment       =   2  'Center
         BorderStyle     =   1  'Fixed Single
         Height          =   315
         Left            =   810
         TabIndex        =   5
         Top             =   300
         Width           =   1095
      End
      Begin VB.Label lblDate 
         BackStyle       =   0  'Transparent
         Caption         =   "Date:"
         Height          =   195
         Left            =   330
         TabIndex        =   4
         Top             =   330
         Width           =   435
      End
      Begin VB.Label lblModuleText 
         BorderStyle     =   1  'Fixed Single
         Height          =   315
         Left            =   810
         TabIndex        =   3
         Top             =   840
         Width           =   3045
      End
      Begin VB.Label lblModule 
         BackStyle       =   0  'Transparent
         Caption         =   "Module:"
         Height          =   195
         Left            =   150
         TabIndex        =   2
         Top             =   900
         Width           =   585
      End
   End
   Begin VB.Label lblTitle 
      BackStyle       =   0  'Transparent
      Caption         =   "Design Time Error:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H8000000D&
      Height          =   345
      Left            =   120
      TabIndex        =   0
      Top             =   30
      Width           =   3435
   End
End
Attribute VB_Name = "frmDesignError"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'------------------------------------------------------------------------------------------------------
'  Developing Applications using Outlook 2000, CDO, Exchange, and Visual Basic
'------------------------------------------------------------------------------------------------------
'Section        Comment Description
'
'Purpose        Form for displaying Design Time (programming) errors
'
'               ** THIS FORM IS FULLY REUSABLE!  PLEASE REUSE IT! **
'
'*** NOTE: This form requires its companion code module, basDesignError
'------------------------------------------------------------------------------------------------------
'   Revision History:
'   Date:       Developer:                  Description:
'------------------------------------------------------------------------------------------------------
'   01/15/1998  B.Feldman                       Initial Design
'------------------------------------------------------------------------------------
'Declarations

Private Const msMODULE_NAME      As String = "frmDesignError"

Private Type typErrorDetail                     'Structure to hold ListView Contents
    sErrorCode As String
    sErrorDetail As String
End Type

Private Type typDesignErrorStruct           'Structure to hold Error Information
    sDate As String
    sTime As String
    eType As enumDesignErrorType
    sModule As String
    sProc As String
    sSummary As String
    atErrorDetails() As typErrorDetail
End Type

Private matErrors() As typDesignErrorStruct             'Array to hold cumulative errors for viewing (if form is left open)
Private mnCurrentError As Integer                           'Current error being displayed
Private mnTotalErrors As Integer                             'Total Errors Stored in Array
Private Sub cmdClose_Click()
'------------------------------------------------------------------------------------------------------
'  Developing Applications using Outlook 2000, CDO, Exchange, and Visual Basic
'------------------------------------------------------------------------------------------------------
'Section        Comment Description
'
'Purpose        Unloads the form
'------------------------------------------------------------------------------------------------------
'   Revision History:
'   Date:       Developer:                  Description:
'------------------------------------------------------------------------------------------------------
'   01/15/1998  B.Feldman                       Initial Design
'------------------------------------------------------------------------------------
'Declarations

    Unload Me
    
End Sub


Private Sub cmdNext_Click()
'------------------------------------------------------------------------------------------------------
'  Developing Applications using Outlook 2000, CDO, Exchange, and Visual Basic
'------------------------------------------------------------------------------------------------------
'Section        Comment Description
'
'Purpose       Displays the Next error in the error array
'------------------------------------------------------------------------------------------------------
'   Revision History:
'   Date:       Developer:                  Description:
'------------------------------------------------------------------------------------------------------
'   01/16/1998  B.Feldman                       Initial Design
'------------------------------------------------------------------------------------
'Declarations

    'Make sure not at the last error in the array
    If mnCurrentError <> mnTotalErrors Then
        'if not, Bump up the Current Error
        mnCurrentError = mnCurrentError + 1
        
        'Display the next error
        DisplayError (mnCurrentError)
    End If
    
End Sub

Private Sub cmdPrevious_Click()
'------------------------------------------------------------------------------------------------------
'  Developing Applications using Outlook 2000, CDO, Exchange, and Visual Basic
'------------------------------------------------------------------------------------------------------
'Section        Comment Description
'
'Purpose       Displays the Previous error in the error array
'------------------------------------------------------------------------------------------------------
'   Revision History:
'   Date:       Developer:                  Description:
'------------------------------------------------------------------------------------------------------
'   01/16/1998  B.Feldman                       Initial Design
'------------------------------------------------------------------------------------
'Declarations

    'Make sure not at the first error in the array
    If mnCurrentError <> 0 Then
        'if not, Bump down the Current Error
        mnCurrentError = mnCurrentError - 1
        
        'Display the previous error
        DisplayError (mnCurrentError)
    End If

End Sub


Private Sub cmdPrint_Click()
'------------------------------------------------------------------------------------------------------
'  Developing Applications using Outlook 2000, CDO, Exchange, and Visual Basic
'------------------------------------------------------------------------------------------------------
'Section        Comment Description
'
'Purpose        Prints the form
'------------------------------------------------------------------------------------------------------
'   Revision History:
'   Date:       Developer:                  Description:
'------------------------------------------------------------------------------------------------------
'   01/15/1998  B.Feldman                       Initial Design
'------------------------------------------------------------------------------------
'Declarations

    Me.PrintForm

End Sub


Private Sub Form_Initialize()
'------------------------------------------------------------------------------------------------------
'  Developing Applications using Outlook 2000, CDO, Exchange, and Visual Basic
'------------------------------------------------------------------------------------------------------
'Section        Comment Description
'
'Purpose        Initialization of variables
'------------------------------------------------------------------------------------------------------
'   Revision History:
'   Date:       Developer:                  Description:

'------------------------------------------------------------------------------------
'Declarations
    
    'Initalize Counters
    mnCurrentError = 0
    mnTotalErrors = -1

End Sub

Private Sub Form_Load()
'------------------------------------------------------------------------------------------------------
'  Developing Applications using Outlook 2000, CDO, Exchange, and Visual Basic
'------------------------------------------------------------------------------------------------------
'Section        Comment Description
'
'Purpose       Form Initialization
'------------------------------------------------------------------------------------------------------
'   Revision History:
'   Date:       Developer:                  Description:
'------------------------------------------------------------------------------------------------------

'------------------------------------------------------------------------------------
        
    'Center the form
'//debug-pmc    CenterChild frmMain, Me
    
    'Set Topmost -- This makes the form appear modal (since can't use modal forms during browser control)
    SetMeTopMost Me, True
    
    
    'Initialize Form Fields
    InitializeFields
    
End Sub



Private Sub InitializeFields()
'------------------------------------------------------------------------------------------------------
'  Developing Applications using Outlook 2000, CDO, Exchange, and Visual Basic
'------------------------------------------------------------------------------------------------------
'Section        Comment Description
'
'Purpose       Initializes Field on the form
''------------------------------------------------------------------------------------------------------
'   Revision History:
'   Date:       Developer:                  Description:
'------------------------------------------------------------------------------------------------------
'   01/15/1998  B.Feldman                       Initial Design
'------------------------------------------------------------------------------------
' Declarations:
Dim lErrorNumber As Long
Dim sErrorDescription As String
Const sPROCEDURE_NAME       As String = "InitializeFields"    ' Error logging

' Errors
On Error GoTo InitializeFields_Error

    'Clear Fields
    lblProcText.Caption = ""
    lblModuleText.Caption = ""
    lblTypeText.Caption = ""
    txtSummary.Text = ""
    
    'Indicate Current Date/Time
    lblDateText.Caption = Format$(Now, "mm/dd/yyyy")
    lblTimeText.Caption = Format$(Now, "hh:nn AM/PM")
    
    
    'Init ListView
    With lvwDetail
        .ListItems.Clear
        .ColumnHeaders.Clear
        .ColumnHeaders.Add , "Code", "Error Code", 1000, lvwColumnLeft
        .ColumnHeaders.Add , "Desc", "Error Description", 6090, lvwColumnLeft
    End With
 

InitializeFields_Exit:
    On Error Resume Next
    'Put cleanup code here
    Exit Sub

' Errors:
InitializeFields_Error:
    ' Process the error

    lErrorNumber = Err.Number
    sErrorDescription = Err.Description

    Call ProcessError(msMODULE_NAME, sPROCEDURE_NAME, , , lErrorNumber, sErrorDescription, True, True)

    GoTo InitializeFields_Exit
    Resume 'Does Nothing - For Debugging Purposes

End Sub

Private Sub Form_Unload(Cancel As Integer)
'------------------------------------------------------------------------------------------------------
'  Developing Applications using Outlook 2000, CDO, Exchange, and Visual Basic
'------------------------------------------------------------------------------------------------------
'Section        Comment Description
'
'Purpose        Returns Default Cursor Driver of RDO Engine
'------------------------------------------------------------------------------------------------------
'   Revision History:
'   Date:       Developer:                  Description:
'------------------------------------------------------------------------------------------------------
'
'------------------------------------------------------------------------------------
'Declarations

    'Dispose of the errors array
    Erase matErrors

    'Dispose of the form
    Set frmDesignError = Nothing
    
End Sub



Public Sub AddError(eErrorType As enumDesignErrorType, sModuleName As String, sProcName As String, sSummaryDesc As String, Optional rderrObject As RDO.rdoErrors = Nothing, Optional eErrorCode As enumErrorCode = ecNone, Optional sErrorDetail As String = "")
'------------------------------------------------------------------------------------------------------
'  Developing Applications using Outlook 2000, CDO, Exchange, and Visual Basic
'------------------------------------------------------------------------------------------------------
'Section        Comment Description
'
'Purpose      Adds an error to the Design Time Error window for display
'Inputs         eErrorType - Type of the Design Time Error
'                  sModuleName - Source Module of the error
'                  sProcName - Source Proc of the error
'                  sSummary - Basic Description of the Error
'                  rderrObject - Pointer to the RDO Error Object (in the case of a database error)
'                  eErrorCode - Generic Classification of the Error (usually a variable type)
'                  sErrorDetail - Technical Detail of of the error (ie, "Parameter Cannot be Null")
'------------------------------------------------------------------------------------------------------
'   Revision History:
'   Date:       Developer:                  Description:
'------------------------------------------------------------------------------------------------------
'
'------------------------------------------------------------------------------------
' Declarations:
Dim lErrorNumber As Long
Dim sErrorDescription As String
Const sPROCEDURE_NAME       As String = "AddError"    ' Error logging

Dim tDesignError As typDesignErrorStruct
Dim rderrDBError As RDO.rdoError
Dim nNextIndex As Integer, nDetailIndex As Integer

' Errors
On Error GoTo AddError_Error

    'Get the Next Index in the Errors Array
    nNextIndex = mnTotalErrors + 1
    
    'Add Another Error to the Error Array
    ReDim Preserve matErrors(nNextIndex)

    With matErrors(nNextIndex)
        'Transfer Trivial Data
        .sDate = Format$(Now, "mm/dd/yyyy")
        .sTime = Format$(Now, "hh:nn:ss am/pm")
        .eType = eErrorType
        .sModule = Trim$(sModuleName)
        .sProc = Trim$(sProcName)
        .sSummary = Trim$(sSummaryDesc)
        
        'Determine whether the ErrorObject was passed in or not
        If rderrObject Is Nothing Then
            
            'If not, grab the parms for Error Code and Detail and add them to the detail array
            ReDim .atErrorDetails(0)
            With .atErrorDetails(0)
                .sErrorCode = Trim$(Str$(eErrorCode))
                .sErrorDetail = Trim$(sErrorDetail)
            End With
        
        Else
            
            nDetailIndex = 0
            'If the Error Object was passed, loop through the errors and add them to the Detail Array
            For Each rderrDBError In rderrObject
                ReDim Preserve .atErrorDetails(nDetailIndex)
                With rderrDBError
                    matErrors(nNextIndex).atErrorDetails(nDetailIndex).sErrorCode = .SQLState
                    matErrors(nNextIndex).atErrorDetails(nDetailIndex).sErrorDetail = .Source & ": " & .Number & ":" & .Description
                End With
                nDetailIndex = nDetailIndex + 1
            Next 'rderrDBError
            
            'Clear the DBError Object
            rderrObject.Clear
            Err.Clear
        End If
    
    End With
        
    'Bump up the TotalErrors Counter
    mnTotalErrors = nNextIndex
    
    'Display the error
    DisplayError (nNextIndex)

AddError_Exit:
    On Error Resume Next
    'Put cleanup code here
    Exit Sub

' Errors:
AddError_Error:
    ' Process the error

    lErrorNumber = Err.Number
    sErrorDescription = Err.Description

    Call ProcessError(msMODULE_NAME, sPROCEDURE_NAME, , , lErrorNumber, sErrorDescription, True, True)

    GoTo AddError_Exit
    Resume 'Does Nothing - For Debugging Purposes

End Sub

Private Sub DisplayError(nThisError As Integer)
'------------------------------------------------------------------------------------------------------
'  Developing Applications using Outlook 2000, CDO, Exchange, and Visual Basic
'------------------------------------------------------------------------------------------------------
'Section        Comment Description
'
'Purpose      Displays an Error from the Errors Array on the Form
'Inputs         nThisError - The Index of the Error to display
'------------------------------------------------------------------------------------------------------
'   Revision History:
'   Date:       Developer:                  Description:
'------------------------------------------------------------------------------------------------------
'
'------------------------------------------------------------------------------------
' Declarations:
Dim lErrorNumber As Long
Dim sErrorDescription As String
Const sPROCEDURE_NAME       As String = "DisplayError"    ' Error logging

Dim objListItem As ListItem
Dim nDetail As Integer

' Errors
On Error GoTo DisplayError_Error

    'Set the Status of the Previous/Next Buttons
    If nThisError < mnTotalErrors Then
        cmdNext.Enabled = True
    Else
        cmdNext.Enabled = False
    End If
    
    If nThisError = 0 Then
        cmdPrevious.Enabled = False
    Else
        cmdPrevious.Enabled = True
    End If
    
    
    'Clear the listview
    lvwDetail.ListItems.Clear
    
    'Transfer the Error Data to the Form
    With matErrors(nThisError)
        
        lblDateText.Caption = .sDate
        lblTimeText.Caption = .sTime
        lblTypeText.Caption = sTranslateDesignErrorType(.eType)
        lblModuleText.Caption = .sModule
        lblProcText.Caption = .sProc
        txtSummary.Text = .sSummary
        
        'Loop through the Detail Array, Adding the Details to the ListView
        For nDetail = 0 To UBound(.atErrorDetails)
            Set objListItem = lvwDetail.ListItems.Add()
            With .atErrorDetails(nDetail)
                objListItem.Text = IIf(Val(.sErrorCode) <> 0, sTranslateErrorCode(.sErrorCode), .sErrorCode)
                objListItem.SubItems(1) = .sErrorDetail
            End With
        Next 'objErrorListItem
    
    End With
    
    'Set the CurrentError
    mnCurrentError = nThisError
    
    'Select the first ListItem
    Set lvwDetail.SelectedItem = lvwDetail.ListItems(1)
    
    'Grab the detail description for tool tip
    lvwDetail.ToolTipText = lvwDetail.SelectedItem.SubItems(1)
    
    'If not already displayed, Display the Form
    Me.Show
    DoEvents

DisplayError_Exit:
    On Error Resume Next
    'Put cleanup code here
    Exit Sub

' Errors:
DisplayError_Error:
    ' Process the error

    lErrorNumber = Err.Number
    sErrorDescription = Err.Description

    Call ProcessError(msMODULE_NAME, sPROCEDURE_NAME, , , lErrorNumber, sErrorDescription, True, True)

    GoTo DisplayError_Exit
    Resume 'Does Nothing - For Debugging Purposes

End Sub

Private Sub lvwDetail_Click()
    'Grab the detail description for tool tip
    lvwDetail.ToolTipText = lvwDetail.SelectedItem.SubItems(1)

End Sub


Private Sub lvwDetail_DblClick()
    'Grab the detail description for tool tip
    lvwDetail.ToolTipText = lvwDetail.SelectedItem.SubItems(1)


End Sub


